<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:foo="http://whatever"
                xmlns:ow-dc="http://www.geostandaarden.nl/imow/bestanden/deelbestand"
                xmlns:ow="http://www.geostandaarden.nl/imow/owobject"
                xmlns:da="http://www.geostandaarden.nl/imow/datatypenalgemeen"
                xmlns:sl="http://www.geostandaarden.nl/bestanden-ow/standlevering-generiek"
                xmlns:ga="http://www.geostandaarden.nl/imow/gebiedsaanwijzing"
                xmlns:k="http://www.geostandaarden.nl/imow/kaart"
                xmlns:l="http://www.geostandaarden.nl/imow/locatie"
                xmlns:p="http://www.geostandaarden.nl/imow/pons"
                xmlns:r="http://www.geostandaarden.nl/imow/regels"
                xmlns:rol="http://www.geostandaarden.nl/imow/regelsoplocatie"
                xmlns:vt="http://www.geostandaarden.nl/imow/vrijetekst"
                xmlns:rg="http://www.geostandaarden.nl/imow/regelingsgebied"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:data="https://standaarden.overheid.nl/stop/imop/data/"
                xmlns:tekst="https://standaarden.overheid.nl/stop/imop/tekst/"
                xmlns:aanlevering="https://standaarden.overheid.nl/lvbb/stop/aanlevering/"
                xmlns:basisgeo="http://www.geostandaarden.nl/basisgeometrie/1.0"
                xmlns:gio="https://standaarden.overheid.nl/stop/imop/gio/"
                xmlns:gml="http://www.opengis.net/gml/3.2"
                xmlns:geo="https://standaarden.overheid.nl/stop/imop/geo/"
                xmlns:lvbb="http://www.overheid.nl/2017/lvbb"
                xmlns:stop="http://www.overheid.nl/2017/stop"
                xmlns:tns="http://www.logius.nl/digikoppeling/gb/2010/10"
                xmlns:ow-manifest="http://www.geostandaarden.nl/bestanden-ow/manifest-ow"
                version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>
   <!--PHASES-->
   <!--PROLOG-->
   <xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>
   <!--XSD TYPES FOR XSLT2-->
   <!--KEYS AND FUNCTIONS-->
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0420">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Hoofdstuk">
         <xsl:if test="$context/@eId=@eId and not(string(tekst:Kop/tekst:Nummer)=string(position()))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:foutenTPOD_0470">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Titel">
         <xsl:if test="$context/@eId=@eId and not(starts-with(tekst:Kop/tekst:Nummer, concat($context/../tekst:Kop/tekst:Nummer, '.')))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0480">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Titel">
         <xsl:if test="$context/@eId=@eId and not(substring-after(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer,'.'))=string(position()))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0520">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Afdeling">
         <xsl:if test="$context/@eId=@eId and not(starts-with(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer, '.')))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0530">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Afdeling">
         <xsl:if test="$context/@eId=@eId and not(substring-after(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer,'.'))=string(position()))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0560">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Afdeling">
         <xsl:if test="$context/@eId=@eId and not(starts-with(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer, '.')))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0580">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Paragraaf">
         <xsl:if test="$context/@eId=@eId and not(starts-with(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer, '.')))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0590">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Paragraaf">
         <xsl:if test="$context/@eId=@eId and not(substring-after(string(tekst:Kop/tekst:Nummer),concat(../tekst:Kop/tekst:Nummer,'.'))=string(position()))">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0630">
      <xsl:param name="paragraaf" as="xs:string"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/tekst:Subparagraaf">
            <xsl:if test="not(string(tekst:Kop/tekst:Nummer)=concat($paragraaf, '.', string(position())))">
               <xsl:value-of select="concat('paragraaf: ',$paragraaf, ' subparagraaf: ',string(tekst:Kop/tekst:Nummer),', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0640">
      <xsl:param name="paragraaf"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/tekst:Subparagraaf">
            <xsl:if test="not(string(tekst:Kop/tekst:Nummer)=concat($paragraaf, '.', string(position())))">
               <xsl:value-of select="concat('paragraaf: ',$paragraaf, ' subparagraaf: ',string(tekst:Kop/tekst:Nummer),', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0680">
      <xsl:param name="subparagraaf" as="xs:string"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/tekst:Subsubparagraaf">
            <xsl:if test="not(string(tekst:Kop/tekst:Nummer)=concat($subparagraaf, '.', string(position())))">
               <xsl:value-of select="concat(string(tekst:Kop/tekst:Nummer),', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0690">
      <xsl:param name="subparagraaf"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/tekst:Subsubparagraaf">
            <xsl:if test="not(string(tekst:Kop/tekst:Nummer)=concat($subparagraaf, '.', string(position())))">
               <xsl:value-of select="concat(string(tekst:Kop/tekst:Nummer),', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0730">
      <xsl:param name="hoofdstuk" as="xs:string"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/descendant::tekst:Artikel">
            <xsl:if test="not(foo:substring-before-lastTPOD_0730(tekst:Kop/tekst:Nummer,'.')=$hoofdstuk)">
               <xsl:value-of select="concat(string(tekst:Kop/tekst:Nummer),', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:substring-before-lastTPOD_0730"
                 as="xs:string">
      <xsl:param name="arg" as="xs:string?"/>
      <xsl:param name="delim" as="xs:string"/>
      <xsl:sequence select="             if (matches($arg, foo:escape-for-regexTPOD_0730($delim)))             then replace($arg,             concat('^(.*)', foo:escape-for-regexTPOD_0730($delim),'.*'),             '$1')             else ''             "/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:escape-for-regexTPOD_0730"
                 as="xs:string">
      <xsl:param name="arg" as="xs:string?"/>
      <xsl:sequence select="             replace($arg,             '(\.|\[|\]|\\|\||\-|\^|\$|\?|\*|\+|\{|\}|\(|\))','\\$1')             "/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0740">
      <xsl:param name="hoofdstuk"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="volgorde">
         <xsl:for-each select="$context/descendant::tekst:Artikel">
            <xsl:if test="not(string(tekst:Kop/tekst:Nummer) = concat($hoofdstuk, '.', string(position())))">
               <xsl:value-of select="concat(string(tekst:Kop/tekst:Nummer), ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$volgorde"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:bevatGeletterdeNummersTPOD_0741">
      <xsl:param name="hoofdstuk" as="xs:string"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="bevatLetters">
         <xsl:for-each select="$context/descendant::tekst:Artikel">
            <xsl:variable name="artikelNummer" select="string(tekst:Kop/tekst:Nummer)"/>
            <xsl:variable name="nummers" select="tokenize($artikelNummer, '\.')"/>
            <xsl:if test="count($nummers) = 2">
               <xsl:variable name="nummer" select="$nummers[2]"/>
               <xsl:if test="matches($nummer, '\d{1,2}[a-z]{1,2}')">
                  <xsl:value-of select="concat($hoofdstuk, '.', $nummer, ', ')"/>
               </xsl:if>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$bevatLetters"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0741">
      <xsl:param name="hoofdstuk" as="xs:string"/>
      <xsl:param name="bevatLetters"/>
      <xsl:param name="context" as="node()"/>
      <xsl:if test="string-length($bevatLetters) = 0">
         <xsl:variable name="volgorde">
            <xsl:for-each select="$context/descendant::tekst:Artikel">
               <xsl:variable name="pos" select="position()"/>
               <xsl:variable name="artikelNummer" select="string(tekst:Kop/tekst:Nummer)"/>
               <xsl:choose>
                  <xsl:when test="contains($artikelNummer, '.')">
                     <xsl:variable name="nummers" select="tokenize($artikelNummer, '\.')"/>
                     <xsl:if test="count($nummers) = 2">
                        <xsl:variable name="nummer" select="$nummers[2]"/>
                        <xsl:choose>
                           <xsl:when test="(matches($nummer, '\d{1,2}')) or (matches($nummer, '\d{1,2}[a-z]{1}'))">
                              <xsl:choose>
                                 <xsl:when test="matches($nummer, '\d{1,2}[a-z]{1}')">
                                    <xsl:if test="not(string(tokenize($nummer, '[a-z]{1}')[1]) = string($pos))">
                                       <xsl:value-of select="concat($hoofdstuk, '.', $nummer, ', ')"/>
                                    </xsl:if>
                                 </xsl:when>
                                 <xsl:otherwise>
                                    <xsl:if test="not($nummer = string($pos))">
                                       <xsl:value-of select="concat($hoofdstuk, '.', $nummer, ', ')"/>
                                    </xsl:if>
                                 </xsl:otherwise>
                              </xsl:choose>
                           </xsl:when>
                           <xsl:otherwise>
                              <xsl:value-of select="concat($hoofdstuk, '.', $nummer, ', ')"/>
                           </xsl:otherwise>
                        </xsl:choose>
                     </xsl:if>
                     <xsl:if test="count($nummers) &gt; 2">
                        <xsl:value-of select="concat($artikelNummer, ', ')"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="concat($artikelNummer, ', ')"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:for-each>
         </xsl:variable>
         <xsl:value-of select="$volgorde"/>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:bevatGeletterdeNummersTPOD_0780">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="bevatLetters">
         <xsl:for-each select="$context/../tekst:Lid">
            <xsl:if test="matches(tekst:LidNummer, '\d{1,2}[a-z]{1,2}\.')">
               <xsl:value-of select="concat(string(tekst:LidNummer), ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$bevatLetters"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0780">
      <xsl:param name="bevatLetters"/>
      <xsl:param name="context" as="node()"/>
      <xsl:if test="string-length($bevatLetters) = 0">
         <xsl:for-each select="$context/../tekst:Lid">
            <xsl:if test="$context/@eId=@eId">
               <xsl:choose>
                  <xsl:when test="(matches(tekst:LidNummer, '\d{1,2}\.')) or (matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.'))">
                     <xsl:choose>
                        <xsl:when test="matches(tekst:LidNummer, '\d{1,2}\.')">
                           <xsl:if test="not(string(tekst:LidNummer)=concat(string(position()),'.'))">
                              <xsl:value-of select="@eId"/>
                           </xsl:if>
                        </xsl:when>
                        <xsl:when test="matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.')">
                           <xsl:if test="not(ends-with(tekst:LidNummer, '.'))">
                              <xsl:value-of select="@eId"/>
                           </xsl:if>
                        </xsl:when>
                        <xsl:otherwise>
                           <xsl:value-of select="@eId"/>
                        </xsl:otherwise>
                     </xsl:choose>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="@eId"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:bevatGeletterdeNummersTPOD_0781">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="bevatLetters">
         <xsl:for-each select="$context/../tekst:Lid">
            <xsl:if test="matches(tekst:LidNummer, '\d{1,2}[a-z]{1,2}\.')">
               <xsl:value-of select="concat(string(tekst:LidNummer), ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$bevatLetters"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0781">
      <xsl:param name="bevatLetters"/>
      <xsl:param name="context" as="node()"/>
      <xsl:if test="string-length($bevatLetters) = 0">
         <xsl:for-each select="$context/../tekst:Lid">
            <xsl:if test="$context/@eId=@eId">
               <xsl:choose>
                  <xsl:when test="(matches(tekst:LidNummer, '\d{1,2}\.')) or (matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.'))">
                     <xsl:choose>
                        <xsl:when test="matches(tekst:LidNummer, '\d{1,2}\.')">
                           <xsl:if test="not(string(tekst:LidNummer)=concat(string(position()),'.'))">
                              <xsl:value-of select="@eId"/>
                           </xsl:if>
                        </xsl:when>
                        <xsl:when test="matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.')">
                           <xsl:if test="not(ends-with(tekst:LidNummer, '.'))">
                              <xsl:value-of select="@eId"/>
                           </xsl:if>
                        </xsl:when>
                        <xsl:otherwise>
                           <xsl:value-of select="@eId"/>
                        </xsl:otherwise>
                     </xsl:choose>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="@eId"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:volgordeTPOD_0790">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/../tekst:Lid">
         <xsl:if test="position() = 1">
            <xsl:choose>
               <xsl:when test="(matches(tekst:LidNummer, '\d{1,2}\.')) or (matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.'))">
                  <xsl:if test="matches(tekst:LidNummer, '\d{1,2}\.')">
                     <xsl:if test="not(string(tekst:LidNummer) = '1.')">
                        <xsl:value-of select="@eId"/>
                     </xsl:if>
                  </xsl:if>
                  <xsl:if test="matches(tekst:LidNummer, '\d{1,2}[a-z]{1}\.')">
                     <xsl:variable name="first" select="tokenize(tekst:LidNummer, '[a-z]{1}')[1]"/>
                     <xsl:if test="not(string($first) = string(1))">
                        <xsl:value-of select="@eId"/>
                     </xsl:if>
                  </xsl:if>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="@eId"/>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkEersteNiveauLijstLettersTPOD_0830">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 1">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '^[a-z]{1,3}\.$')) and not(matches(tekst:LiNummer, '^[a-z]{1,3}$'))">
               <xsl:value-of select="tekst:LiNummer"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkEersteNiveauLijstLettersTPOD_0831">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 1">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '[a-z]{1}\.')) and not(matches(tekst:LiNummer, '[a-z]{1}'))">
               <xsl:value-of select="@eId"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkTweedeNiveauLijstCijfersTPOD_0840">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 2">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '[0-9]{1,2}\.')) and not(matches(tekst:LiNummer, '[0-9]{1,2}'))">
               <xsl:value-of select="@eId"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkTweedeNiveauLijstCijfersTPOD_0841">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 2">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '[0-9]{1,2}\.')) and not(matches(tekst:LiNummer, '[0-9]{1,2}'))">
               <xsl:value-of select="@eId"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkDerdeNiveauLijstCijfersTPOD_0850">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 3">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '^M{0,4}(CM|CD|D?C{0,3})(XC|XL|L?X{0,3})(IX|IV|V?I{0,3})\.$')) and not(matches(tekst:LiNummer, '^M{0,4}(CM|CD|D?C{0,3})(XC|XL|L?X{0,3})(IX|IV|V?I{0,3})$'))">
               <xsl:value-of select="tekst:LiNummer"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkDerdeNiveauLijstCijfersTPOD_0851">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="ancestors" select="count($context/ancestor-or-self::tekst:Lijst)"/>
      <xsl:if test="$ancestors = 3">
         <xsl:for-each select="$context/tekst:Li">
            <xsl:if test="not(matches(tekst:LiNummer, '[0-9]{1,2}\.')) and not(matches(tekst:LiNummer, '[0-9]{1,2}'))">
               <xsl:value-of select="@eId"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:aantalTPOD_0930_28992">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="fout">
         <xsl:for-each select="$context/*">
            <xsl:variable name="srsName" select="string(./@srsName)"/>
            <xsl:if test="tokenize(string(./@srsName), ':')[last()] = '28992'">
               <xsl:variable name="fouteCoord" select="foo:fouteCoordTPOD_0930(., 3)"/>
               <xsl:if test="string-length($fouteCoord) &gt; 0">
                  <xsl:value-of select="                             concat(' coördinaten: ',                             concat(substring(substring($fouteCoord, 1, string-length($fouteCoord) - 2), 0, 80), '.....'))"/>
               </xsl:if>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$fout"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:aantalTPOD_0930_4258">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="fout">
         <xsl:for-each select="$context/*">
            <xsl:variable name="srsName" select="string(./@srsName)"/>
            <xsl:if test="tokenize(string(./@srsName), ':')[last()] = '4258'">
               <xsl:variable name="fouteCoord" select="foo:fouteCoordTPOD_0930(., 8)"/>
               <xsl:if test="string-length($fouteCoord) &gt; 0">
                  <xsl:value-of select="                             concat(' coördinaten: ',                             concat(substring(substring($fouteCoord, 1, string-length($fouteCoord) - 2), 0, 80), '.....'))"/>
               </xsl:if>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$fout"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:fouteCoordTPOD_0930">
      <xsl:param name="context" as="node()"/>
      <xsl:param name="aantal" as="xs:integer"/>
      <xsl:variable name="fouteCoord">
         <xsl:for-each select="$context/descendant::gml:posList">
            <xsl:variable name="coordinaten" select="tokenize(normalize-space(text()), ' ')"/>
            <xsl:for-each select="$coordinaten">
               <xsl:if test="string-length(substring-after(., '.')) &gt; $aantal">
                  <xsl:value-of select="concat(., ', ')"/>
               </xsl:if>
            </xsl:for-each>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$fouteCoord"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:crsTPOD_0940">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="crs">
         <xsl:for-each select="$context/descendant-or-self::*/@srsName">
            <xsl:if test="position() = 1">
               <xsl:value-of select="."/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$crs"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:crssesTPOD_0940">
      <xsl:param name="crs"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="crsses">
         <xsl:for-each select="$context/descendant-or-self::*/@srsName">
            <xsl:if test="not($crs = .)">
               <xsl:value-of select="concat(., ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$crsses"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:opschriftTPOD0980">
      <xsl:param name="context" as="node()"/>
      <xsl:for-each select="$context/descendant::tekst:Artikel">
         <xsl:if test="lower-case(tekst:Kop/tekst:Opschrift/text()) = 'begripsbepalingen'">
            <xsl:value-of select="@eId"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkBegripTPOD1010">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="list">
         <xsl:for-each select="$context/tekst:Begrip">
            <xsl:value-of select="tekst:Term/text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="sortedList">
         <xsl:for-each select="$context/tekst:Begrip">
            <xsl:sort select="tekst:Term/text()"/>
            <xsl:value-of select="tekst:Term/text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:if test="not($sortedList=$list)">
         <xsl:value-of select="string($context/@eId)"/>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:run1700">
      <xsl:param name="identificatie"/>
      <xsl:param name="bovenLiggendForContains"/>
      <xsl:param name="activiteitenLijstForContains"/>
      <xsl:variable name="result"
                    select="foo:isLokaal1700($bovenLiggendForContains, $activiteitenLijstForContains, '')"/>
      <xsl:value-of select="$result"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:isLokaal1700">
      <xsl:param name="bovenLiggendForContains"/>
      <xsl:param name="activiteitenLijstForContains"/>
      <xsl:param name="circulaireActiviteitenLijstForContains"/>
      <xsl:choose>
         <xsl:when test="contains($activiteitenLijstForContains, $bovenLiggendForContains)">
            <xsl:choose>
               <xsl:when test="contains($circulaireActiviteitenLijstForContains, $bovenLiggendForContains)">
                  <xsl:value-of select="concat($circulaireActiviteitenLijstForContains,',',$bovenLiggendForContains)"/>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:for-each select="$xmlDocuments/ow-dc:owBestand/sl:standBestand/sl:stand/ow-dc:owObject/rol:Activiteit">
                     <xsl:if test="rol:identificatie/text() = $bovenLiggendForContains">
                        <xsl:value-of select="foo:isLokaal1700(                                     string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href),                                      $activiteitenLijstForContains,                                      concat($circulaireActiviteitenLijstForContains,',',$bovenLiggendForContains)                                     )"/>
                     </xsl:if>
                  </xsl:for-each>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="$bovenLiggendForContains"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitenLijstTPOD_1700">
      <xsl:variable name="activiteitenLijst">
         <xsl:for-each select="$xmlDocuments/ow-dc:owBestand/sl:standBestand/sl:stand/ow-dc:owObject/rol:Activiteit">
            <xsl:value-of select="rol:identificatie"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$activiteitenLijst"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:circulaireActivititeitenTPOD_1710">
      <xsl:param name="context" as="node()"/>
      <xsl:param name="activiteitenLijst"/>
      <xsl:variable name="circulaireActivititeiten">
         <xsl:variable name="bovenLiggend"
                       select="string($context/rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href)"/>
         <xsl:variable name="identificatie" select="$context/rol:identificatie/text()"/>
         <xsl:if test="contains($activiteitenLijst, $bovenLiggend)">
            <xsl:value-of select="foo:selecteerCirculaireActiviteitenTPOD_1710($identificatie, $identificatie, $context)"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$circulaireActivititeiten"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:selecteerCirculaireActiviteitenTPOD_1710">
      <xsl:param name="identificatie" as="xs:string"/>
      <xsl:param name="bovenliggend" as="xs:string"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="selecteerCirculaireActiviteiten">
         <xsl:for-each select="$xmlDocuments/ow-dc:owBestand/sl:standBestand/sl:stand/ow-dc:owObject/rol:Activiteit">
            <xsl:if test="string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href) = $bovenliggend">
               <xsl:variable name="lokaalBovenliggend" select="rol:identificatie/text()"/>
               <xsl:choose>
                  <xsl:when test="$identificatie = $lokaalBovenliggend">
                     <xsl:value-of select="concat($lokaalBovenliggend, ', ')"/>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="foo:selecteerCirculaireActiviteitenTPOD_1710($identificatie, $lokaalBovenliggend, $context)"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$selecteerCirculaireActiviteiten"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitenLijstTPOD_1710">
      <xsl:variable name="activiteitenLijst">
         <xsl:for-each select="$xmlDocuments/ow-dc:owBestand/sl:standBestand/sl:stand/ow-dc:owObject/rol:Activiteit">
            <xsl:value-of select="rol:identificatie/text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$activiteitenLijst"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitenLijstTPOD_1730">
      <xsl:variable name="activiteitenLijst">
         <xsl:for-each select="$xmlDocuments//rol:Activiteit">
            <xsl:value-of select="rol:identificatie/text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$activiteitenLijst"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitenLijstTPOD_1740">
      <xsl:variable name="activiteitenLijst">
         <xsl:for-each select="$xmlDocuments//rol:Activiteit">
            <xsl:value-of select="rol:identificatie/text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$activiteitenLijst"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitenGebiedenTPOD_1750">
      <xsl:param name="ref"/>
      <xsl:variable name="resultValue">
         <xsl:for-each select="$xmlDocuments//r:RegelVoorIedereen/r:activiteitaanduiding[string(rol:ActiviteitRef/@xlink:href) = $ref]/r:ActiviteitLocatieaanduiding/r:locatieaanduiding">
            <xsl:for-each select="*">
               <xsl:choose>
                  <xsl:when test="./local-name() = 'LocatieRef'">
                     <xsl:if test="not(contains(string(@xlink:href), '.gebiedengroep.') or contains(string(@xlink:href), '.gebied.'))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:when test="./local-name() = 'GebiedengroepRef'">
                     <xsl:if test="not((contains(string(./@xlink:href), '.gebiedengroep.')))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:when test="./local-name() = 'GebiedRef'">
                     <xsl:if test="not((contains(string(./@xlink:href), '.gebied.')))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="false()"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:for-each>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="returnValue">
         <xsl:if test="string-length($resultValue)&gt;0">
            <xsl:value-of select="false()"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$returnValue"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:gebiedsaanwijzingGebiedenTPOD_1760">
      <xsl:variable name="resultValue">
         <xsl:for-each select="$xmlDocuments//ga:Gebiedsaanwijzing/ga:locatieaanduiding">
            <xsl:for-each select="*">
               <xsl:choose>
                  <xsl:when test="./local-name() = 'LocatieRef'">
                     <xsl:if test="not(contains(string(@xlink:href), '.gebiedengroep.') or contains(string(@xlink:href), '.gebied.'))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:when test="./local-name() = 'GebiedengroepRef'">
                     <xsl:if test="not((contains(string(./@xlink:href), '.gebiedengroep.')))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:when test="./local-name() = 'GebiedRef'">
                     <xsl:if test="not((contains(string(./@xlink:href), '.gebied.')))">
                        <xsl:value-of select="false()"/>
                     </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="false()"/>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:for-each>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="returnValue">
         <xsl:if test="string-length($resultValue)&gt;0">
            <xsl:value-of select="false()"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$returnValue"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:CheckFouteConstructiesTPOD_1850">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="regeltekstId" select="$context/r:identificatie/text()"/>
      <xsl:variable name="ct"
                    select="count($xmlDocuments//r:artikelOfLid/r:RegeltekstRef[@xlink:href eq $regeltekstId])"/>
      <xsl:variable name="cr"
                    select="count($xmlDocuments//r:RegelVoorIedereen/r:artikelOfLid/r:RegeltekstRef[@xlink:href eq $regeltekstId])"/>
      <xsl:variable name="ci"
                    select="count($xmlDocuments//r:Instructieregel/r:artikelOfLid/r:RegeltekstRef[@xlink:href eq $regeltekstId])"/>
      <xsl:variable name="co"
                    select="count($xmlDocuments//r:Omgevingswaarderegel/r:artikelOfLid/r:RegeltekstRef[@xlink:href eq $regeltekstId])"/>
      <xsl:if test="not($ct=$cr or $ct=$ci or $ct=$co)">
         <xsl:value-of select="$regeltekstId"/>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:regeltekstReferencesTPOD_1860">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="grandResultValue">
         <xsl:for-each select="$context/r:gerelateerdeRegeltekst/r:RegeltekstRef">
            <xsl:variable name="resultValue">
               <xsl:variable name="href" select="@xlink:href"/>
               <xsl:for-each select="$xmlDocuments//r:Regeltekst/r:identificatie">
                  <xsl:variable name="identificatie" select="."/>
                  <xsl:choose>
                     <xsl:when test="($href eq $identificatie) and not($href eq $context/r:identificatie)">
                        <xsl:value-of select="true()"/>
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="false()"/>
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:for-each>
            </xsl:variable>
            <xsl:choose>
               <xsl:when test="contains($resultValue,'true')">
                  <xsl:value-of select="true()"/>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="false()"/>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="returnValue">
         <xsl:choose>
            <xsl:when test="contains($grandResultValue,'false')">
               <xsl:value-of select="false()"/>
            </xsl:when>
            <xsl:otherwise>
               <xsl:value-of select="true()"/>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:value-of select="$returnValue"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:activiteitReferencesTPOD_1860">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="grandResultValue">
         <xsl:for-each select="$context/rol:gerelateerdeActiviteit/rol:ActiviteitRef">
            <xsl:variable name="resultValue">
               <xsl:variable name="href" select="@xlink:href"/>
               <xsl:for-each select="$xmlDocuments//rol:Activiteit/rol:identificatie">
                  <xsl:variable name="identificatie" select="."/>
                  <xsl:choose>
                     <xsl:when test="($href eq $identificatie) and not($href eq $context/rol:identificatie)">
                        <xsl:value-of select="true()"/>
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="false()"/>
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:for-each>
            </xsl:variable>
            <xsl:choose>
               <xsl:when test="contains($resultValue,'true')">
                  <xsl:value-of select="true()"/>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="false()"/>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="returnValue">
         <xsl:choose>
            <xsl:when test="contains($grandResultValue,'false')">
               <xsl:value-of select="false()"/>
            </xsl:when>
            <xsl:otherwise>
               <xsl:value-of select="true()"/>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:value-of select="$returnValue"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getLocationIdentifiersTPOD_1860">
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xmlDocuments//(l:Gebied | l:Gebiedengroep | l:Punt | l:Puntengroep | l:Lijn | l:Lijnengroep)/l:identificatie">
            <xsl:value-of select="concat('.',text(),'.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getIdentifiersTPOD_1860">
      <xsl:param name="xpath" as="node()*"/>
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xpath">
            <xsl:value-of select="concat('.',text(),'.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getRegelTekstIdentifiersTPOD_1870">
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xmlDocuments//r:Regeltekst">
            <xsl:value-of select="concat('.',r:identificatie/text(),'.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:CheckFouteIdentifierTPOD_1890">
      <xsl:param name="context"/>
      <xsl:choose>
         <xsl:when test="                 lower-case($context/../local-name())='regelvooriedereen'                  or                  lower-case($context/../local-name())='instructieregel'                  or                  lower-case($context/../local-name())='omgevingswaarderegel'                 ">
            <xsl:value-of select="'juridischeregel'"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="lower-case($context/../local-name())"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:owObjectenLijstTPOD_1910">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="owObjectenLijst">
         <xsl:for-each select="$context/../../../sl:stand/ow-dc:owObject/*">
            <xsl:value-of select="concat('.',local-name(),'.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$owObjectenLijst"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:notfoundFileOrObjectTypeTPOD_1920">
      <xsl:param name="naam"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="notfoundFileOrObjectType">
         <xsl:for-each select="$context/ow-manifest:objecttype">
            <xsl:variable name="objecttype" select="text()"/>
            <xsl:choose>
               <xsl:when test=". = 'Geometrie'">
                  <xsl:if test="not(document($naam)//geo:GeoInformatieObjectVaststelling)">
                     <xsl:value-of select="concat($naam, ': ', ., ', ')"/>
                  </xsl:if>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:if test="not(document($naam)//ow-dc:owBestand/sl:standBestand/sl:inhoud/sl:objectTypen[sl:objectType = $objecttype])">
                     <xsl:value-of select="concat($naam, ': ', ., ', ')"/>
                  </xsl:if>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$notfoundFileOrObjectType"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:notFoundTPOD_1930">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="notFound">
         <xsl:variable name="identifiers"
                       select="foo:getIdentifiersTPOD_1930($xmlDocuments//l:Gebied/l:identificatie)"/>
         <xsl:for-each select="$context/l:GebiedRef">
            <xsl:if test="not(contains($identifiers, @xlink:href))">
               <xsl:value-of select="concat(@xlink:href, ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$notFound"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getIdentifiersTPOD_1930">
      <xsl:param name="xpath" as="node()*"/>
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xpath">
            <xsl:value-of select="text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:notFoundTPOD_1940">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="identifiers"
                    select="foo:getIdentifiersTPOD_1940($xmlDocuments//l:Punt/l:identificatie)"/>
      <xsl:variable name="notFound">
         <xsl:for-each select="$context/l:PuntRef">
            <xsl:if test="not(contains($identifiers, @xlink:href))">
               <xsl:value-of select="concat(@xlink:href, ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$notFound"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getIdentifiersTPOD_1940">
      <xsl:param name="xpath" as="node()*"/>
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xpath">
            <xsl:value-of select="text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:notFoundTPOD_1950">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="notFound">
         <xsl:variable name="identifiers"
                       select="foo:getIdentifiersTPOD_1950($xmlDocuments//l:Lijn/l:identificatie)"/>
         <xsl:for-each select="$context/l:LijnRef">
            <xsl:if test="not(contains($identifiers, @xlink:href))">
               <xsl:value-of select="concat(@xlink:href, ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$notFound"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getIdentifiersTPOD_1950">
      <xsl:param name="xpath" as="node()*"/>
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xpath">
            <xsl:value-of select="text()"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:testGeometrie_1960"
                 as="xs:boolean">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="found">
         <xsl:for-each select="$gmlDocuments//basisgeo:Geometrie">
            <xsl:choose>
               <xsl:when test="basisgeo:id/text() = string($context/@xlink:href)">
                  <xsl:choose>
                     <xsl:when test="not(.//gml:MultiPoint || .//gml:Point || .//gml:MultiSurface)">
                        <xsl:value-of select="1"/>
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="0"/>
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="0"/>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$found &gt; 0"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:testGeometrie_1970"
                 as="xs:boolean">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="found">
         <xsl:for-each select="$gmlDocuments//basisgeo:Geometrie">
            <xsl:choose>
               <xsl:when test="basisgeo:id/text() = string($context/@xlink:href)">
                  <xsl:choose>
                     <xsl:when test="(.//gml:MultiPoint || .//gml:Point)">
                        <xsl:value-of select="1"/>
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="0"/>
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="0"/>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$found &gt; 0"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:calculateConditionTPOD_1980">
      <xsl:param name="href"/>
      <xsl:for-each select="$gmlDocuments//basisgeo:Geometrie">
         <xsl:value-of select="0"/>
         <xsl:if test="basisgeo:id/text() = $href">
            <xsl:if test="                     basisgeo:geometrie//gml:Polygon                     or                     basisgeo:geometrie//gml:MultiSurface                     or                     basisgeo:geometrie//gml:Surface">
               <xsl:value-of select="1"/>
            </xsl:if>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:nietGerefereerdeGeometrieTPOD_1990">
      <xsl:param name="identifiers"/>
      <xsl:param name="context" as="node()"/>
      <xsl:if test="not(contains($identifiers, concat('.', string($context/basisgeo:id/text()), '.')))">
         <xsl:value-of select="string($context/basisgeo:id/text())"/>
      </xsl:if>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:nietGerefereerdeReferentiesTPOD_1990">
      <xsl:param name="referenties"/>
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="nietGerefereerdeReferenties">
         <xsl:if test="not(contains($referenties, concat('.', $context/text(), '.')))">
            <xsl:value-of select="concat(string($context/text()), ', ')"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$nietGerefereerdeReferenties"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getReferencesTPOD_1990">
      <xsl:param name="xpath" as="node()*"/>
      <xsl:variable name="references">
         <xsl:for-each select="$xpath">
            <xsl:value-of select="concat('.', string(@xlink:href), '.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$references"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getLocationGeoReferenceIdentifiersTPOD_1990">
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xmlDocuments//l:GeometrieRef">
            <xsl:value-of select="concat('.', string(@xlink:href), '.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:getLocationReferenceIdentifiersTPOD_1990">
      <xsl:param name="id"/>
      <xsl:variable name="identifiers">
         <xsl:for-each select="$xmlDocuments//(l:LocatieRef | l:GebiedRef | l:LijnRef | l:PuntRef | l:GebiedengroepRef | l:PuntengroepRef | l:LijnengroepRef)">
            <xsl:if test="string(@xlink:href)=$id">
               <xsl:value-of select="string(@xlink:href)"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="$identifiers"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkWIdTPOD_2000">
      <xsl:param name="identifier"/>
      <xsl:for-each select="$xmlDocuments//(tekst:Artikel | tekst:Lid)/@wId">
         <xsl:if test="$identifier eq .">
            <xsl:value-of select="$identifier"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkWIdTPOD_2040">
      <xsl:param name="identifier"/>
      <xsl:for-each select="$xmlDocuments//tekst:Divisie/@wId">
         <xsl:if test="$identifier eq .">
            <xsl:value-of select="$identifier"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:existsTPOD_2050">
      <xsl:variable name="message">
         <xsl:choose>
            <xsl:when test="(not(document('manifest-ow.xml'))) and (not(document('manifest.xml')))">
               <xsl:value-of select="'manifest-ow.xml en manifest.xml zijn niet aangetroffen of niet valide.'"/>
            </xsl:when>
            <xsl:when test="not(document('manifest-ow.xml'))">
               <xsl:value-of select="concat('manifest-ow.xml is niet aangetroffen of niet valide. ',foo:bestandenTPOD_2050())"/>
            </xsl:when>
            <xsl:when test="not(document('manifest.xml'))">
               <xsl:value-of select="'manifest.xml is niet aangetroffen of niet valide.'"/>
            </xsl:when>
            <xsl:otherwise>
               <xsl:value-of select="foo:bestandenTPOD_2050()"/>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:value-of select="$message"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:bestandenTPOD_2050">
      <xsl:variable name="bestandsnaam">
         <xsl:for-each select="$xmlDocuments/lvbb:manifest/lvbb:bestand">
            <xsl:if test="not(document(lvbb:bestandsnaam/text()))">
               <xsl:value-of select="concat(lvbb:bestandsnaam/text(), ', ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:value-of select="concat('Volgende bestanden uit manifest.xml zijn niet aangetroffen: ',$bestandsnaam)"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkFouteArtikelLidCombinatieTPOD_2060">
      <xsl:param name="context" as="node()"/>
      <xsl:variable name="artikelWiD" select="string($context/@wId)"/>
      <xsl:variable name="wIds">
         <xsl:for-each select="$xmlDocuments//r:Regeltekst/@wId">
            <xsl:value-of select="concat('.', string(.), '.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="results">
         <xsl:for-each select="$context/tekst:Lid">
            <xsl:variable name="lidWiD" select="string(./@wId)"/>
            <xsl:if test="contains($wIds, concat('.', $lidWiD, '.')) and contains($wIds, concat('.', $artikelWiD, '.'))">
               <xsl:variable name="regelTekstIdArtikel"
                             select="$xmlDocuments//r:Regeltekst[@wId=$artikelWiD]/r:identificatie"/>
               <xsl:variable name="regelTekstIdLid"
                             select="$xmlDocuments//r:Regeltekst[@wId=$lidWiD]/r:identificatie"/>
               <xsl:value-of select="concat('artikel-wId: ', $artikelWiD, ' (',$regelTekstIdArtikel,')  --&gt; lid-wId: ', $lidWiD, ' (',$regelTekstIdLid,') ')"/>
            </xsl:if>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="message">
         <xsl:if test="string-length($results) &gt; 0">
            <xsl:value-of select="                     concat('Betreft: ',                     $results)"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$message"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:vindDubbeleTPOD_2120">
      <xsl:param name="id"/>
      <xsl:variable name="ids">
         <xsl:for-each select="$xmlDocuments//*:identificatie">
            <xsl:value-of select="concat('.', text(), '.')"/>
         </xsl:for-each>
      </xsl:variable>
      <xsl:variable name="dubbeleIds">
         <xsl:variable name="after" select="substring-after($ids, concat('.', $id, '.'))"/>
         <xsl:if test="contains($after, concat('.', $id, '.'))">
            <xsl:value-of select="$id"/>
         </xsl:if>
      </xsl:variable>
      <xsl:value-of select="$dubbeleIds"/>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:vindDubbeleTPOD_2130">
      <xsl:param name="href"/>
      <xsl:param name="identifier"/>
      <xsl:for-each select="$xmlDocuments//l:GeometrieRef">
         <xsl:if test="not(../../l:identificatie/text() = $identifier) and $href = string(@xlink:href)">
            <xsl:value-of select="string(@xlink:href)"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkWorkIdRegelingTPOD_2140">
      <xsl:param name="identifier"/>
      <xsl:for-each select="$xmlDocuments//data:ExpressionIdentificatie/data:FRBRWork/text()">
         <xsl:if test="$identifier eq .">
            <xsl:value-of select="$identifier"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <xsl:function xmlns:sch="http://purl.oclc.org/dsdl/schematron"
                 xmlns:stop="https://standaarden.overheid.nl/stop/imop/stop/"
                 name="foo:checkDoelIdTPOD_2150">
      <xsl:param name="identifier"/>
      <xsl:for-each select="$xmlDocuments//data:BeoogdeRegelgeving/data:BeoogdeRegeling/data:doelen/data:doel/text()">
         <xsl:if test="$identifier eq .">
            <xsl:value-of select="$identifier"/>
         </xsl:if>
      </xsl:for-each>
   </xsl:function>
   <!--DEFAULT RULES-->
   <!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
   <!--This mode can be used to generate an ugly though full XPath for locators-->
   <xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-->
   <!--This mode can be used to generate an ugly though full XPath for locators-->
   <xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="local-name()"/>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">@<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-2-->
   <!--This mode can be used to generate prefixed XPath for humans-->
   <xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
   <!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->
   <xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: GENERATE-ID-FROM-PATH -->
   <xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>
   <!--MODE: GENERATE-ID-2 -->
   <xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters-->
   <xsl:template match="text()" priority="-1"/>
   <!--SCHEMA SETUP-->
   <xsl:template match="/">
      <svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" title="" schemaVersion="">
         <xsl:comment>
            <xsl:value-of select="$archiveDirParameter"/>   
		 <xsl:value-of select="$archiveNameParameter"/>  
		 <xsl:value-of select="$fileNameParameter"/>  
		 <xsl:value-of select="$fileDirParameter"/>
         </xsl:comment>
         <svrl:ns-prefix-in-attribute-values uri="http://whatever" prefix="foo"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/bestanden/deelbestand"
                                             prefix="ow-dc"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/owobject" prefix="ow"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/datatypenalgemeen" prefix="da"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/bestanden-ow/standlevering-generiek"
                                             prefix="sl"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/gebiedsaanwijzing" prefix="ga"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/kaart" prefix="k"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/locatie" prefix="l"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/pons" prefix="p"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/regels" prefix="r"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/regelsoplocatie" prefix="rol"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/vrijetekst" prefix="vt"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/imow/regelingsgebied" prefix="rg"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/1999/xlink" prefix="xlink"/>
         <svrl:ns-prefix-in-attribute-values uri="https://standaarden.overheid.nl/stop/imop/data/" prefix="data"/>
         <svrl:ns-prefix-in-attribute-values uri="https://standaarden.overheid.nl/stop/imop/tekst/" prefix="tekst"/>
         <svrl:ns-prefix-in-attribute-values uri="https://standaarden.overheid.nl/lvbb/stop/aanlevering/"
                                             prefix="aanlevering"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/basisgeometrie/1.0" prefix="basisgeo"/>
         <svrl:ns-prefix-in-attribute-values uri="https://standaarden.overheid.nl/stop/imop/gio/" prefix="gio"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.opengis.net/gml/3.2" prefix="gml"/>
         <svrl:ns-prefix-in-attribute-values uri="https://standaarden.overheid.nl/stop/imop/geo/" prefix="geo"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.overheid.nl/2017/lvbb" prefix="lvbb"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.overheid.nl/2017/stop" prefix="stop"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.logius.nl/digikoppeling/gb/2010/10" prefix="tns"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.geostandaarden.nl/bestanden-ow/manifest-ow"
                                             prefix="ow-manifest"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD_0410</xsl:attribute>
            <xsl:attribute name="name">TPOD_0410</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M67"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD_0420</xsl:attribute>
            <xsl:attribute name="name">TPOD_0420</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M68"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0460</xsl:attribute>
            <xsl:attribute name="name">TPOD0460</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M70"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0470</xsl:attribute>
            <xsl:attribute name="name">TPOD0470</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M71"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0480</xsl:attribute>
            <xsl:attribute name="name">TPOD0480</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M73"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0490</xsl:attribute>
            <xsl:attribute name="name">TPOD0490</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M75"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0510</xsl:attribute>
            <xsl:attribute name="name">TPOD0510</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M76"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0520</xsl:attribute>
            <xsl:attribute name="name">TPOD0520</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M77"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0530</xsl:attribute>
            <xsl:attribute name="name">TPOD0530</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M79"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0540</xsl:attribute>
            <xsl:attribute name="name">TPOD0540</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M81"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0560</xsl:attribute>
            <xsl:attribute name="name">TPOD0560</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M82"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0570</xsl:attribute>
            <xsl:attribute name="name">TPOD0570</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M84"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0580</xsl:attribute>
            <xsl:attribute name="name">TPOD0580</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M85"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0590</xsl:attribute>
            <xsl:attribute name="name">TPOD0590</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M87"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0600</xsl:attribute>
            <xsl:attribute name="name">TPOD0600</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M89"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0620</xsl:attribute>
            <xsl:attribute name="name">TPOD0620</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M90"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0630</xsl:attribute>
            <xsl:attribute name="name">TPOD0630</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M91"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0640</xsl:attribute>
            <xsl:attribute name="name">TPOD0640</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M93"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0650</xsl:attribute>
            <xsl:attribute name="name">TPOD0650</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M95"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0670</xsl:attribute>
            <xsl:attribute name="name">TPOD0670</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M96"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0680</xsl:attribute>
            <xsl:attribute name="name">TPOD0680</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M97"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0690</xsl:attribute>
            <xsl:attribute name="name">TPOD0690</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M99"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0700</xsl:attribute>
            <xsl:attribute name="name">TPOD0700</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M101"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0720</xsl:attribute>
            <xsl:attribute name="name">TPOD0720</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M102"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0730</xsl:attribute>
            <xsl:attribute name="name">TPOD0730</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M103"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0740</xsl:attribute>
            <xsl:attribute name="name">TPOD0740</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M107"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0741_a</xsl:attribute>
            <xsl:attribute name="name">TPOD0741_a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M109"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0741_b</xsl:attribute>
            <xsl:attribute name="name">TPOD0741_b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M110"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0750</xsl:attribute>
            <xsl:attribute name="name">TPOD0750</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M113"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0780_a</xsl:attribute>
            <xsl:attribute name="name">TPOD0780_a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M114"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0780_b</xsl:attribute>
            <xsl:attribute name="name">TPOD0780_b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M115"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0781_a</xsl:attribute>
            <xsl:attribute name="name">TPOD0781_a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M118"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0781_b</xsl:attribute>
            <xsl:attribute name="name">TPOD0781_b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M119"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0790</xsl:attribute>
            <xsl:attribute name="name">TPOD0790</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M122"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0800</xsl:attribute>
            <xsl:attribute name="name">TPOD0800</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M124"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0810</xsl:attribute>
            <xsl:attribute name="name">TPOD0810</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M125"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0820</xsl:attribute>
            <xsl:attribute name="name">TPOD0820</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M126"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0830</xsl:attribute>
            <xsl:attribute name="name">TPOD0830</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M127"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0831</xsl:attribute>
            <xsl:attribute name="name">TPOD0831</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M129"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0840</xsl:attribute>
            <xsl:attribute name="name">TPOD0840</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M131"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0841</xsl:attribute>
            <xsl:attribute name="name">TPOD0841</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M133"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0850</xsl:attribute>
            <xsl:attribute name="name">TPOD0850</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M135"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0851</xsl:attribute>
            <xsl:attribute name="name">TPOD0851</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M137"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0880</xsl:attribute>
            <xsl:attribute name="name">TPOD0880</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M139"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0930_a</xsl:attribute>
            <xsl:attribute name="name">TPOD0930_a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M140"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0930_b</xsl:attribute>
            <xsl:attribute name="name">TPOD0930_b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M141"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0940</xsl:attribute>
            <xsl:attribute name="name">TPOD0940</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M145"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD0980</xsl:attribute>
            <xsl:attribute name="name">TPOD0980</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M148"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1000</xsl:attribute>
            <xsl:attribute name="name">TPOD1000</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M150"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1010</xsl:attribute>
            <xsl:attribute name="name">TPOD1010</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M151"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1020</xsl:attribute>
            <xsl:attribute name="name">TPOD1020</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M153"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1070</xsl:attribute>
            <xsl:attribute name="name">TPOD1070</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M154"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1310</xsl:attribute>
            <xsl:attribute name="name">TPOD1310</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M155"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1650</xsl:attribute>
            <xsl:attribute name="name">TPOD1650</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M156"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1700</xsl:attribute>
            <xsl:attribute name="name">TPOD1700</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M157"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1710</xsl:attribute>
            <xsl:attribute name="name">TPOD1710</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M161"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1730</xsl:attribute>
            <xsl:attribute name="name">TPOD1730</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M165"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1740</xsl:attribute>
            <xsl:attribute name="name">TPOD1740</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M167"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1750</xsl:attribute>
            <xsl:attribute name="name">TPOD1750</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M169"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1760</xsl:attribute>
            <xsl:attribute name="name">TPOD1760</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M171"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1770</xsl:attribute>
            <xsl:attribute name="name">TPOD1770</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M173"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1780</xsl:attribute>
            <xsl:attribute name="name">TPOD1780</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M174"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1790</xsl:attribute>
            <xsl:attribute name="name">TPOD1790</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M175"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1830</xsl:attribute>
            <xsl:attribute name="name">TPOD1830</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M176"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1840</xsl:attribute>
            <xsl:attribute name="name">TPOD1840</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M177"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1850</xsl:attribute>
            <xsl:attribute name="name">TPOD1850</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M178"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_a</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M180"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_b</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M182"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_c</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_c</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M184"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_d</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_d</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M185"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_e</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_e</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M186"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_f</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_f</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M187"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_g</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_g</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M188"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1860_h</xsl:attribute>
            <xsl:attribute name="name">TPOD1860_h</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M189"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1870</xsl:attribute>
            <xsl:attribute name="name">TPOD1870</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M192"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1880</xsl:attribute>
            <xsl:attribute name="name">TPOD1880</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M194"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1890</xsl:attribute>
            <xsl:attribute name="name">TPOD1890</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M195"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1910</xsl:attribute>
            <xsl:attribute name="name">TPOD1910</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M197"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1920</xsl:attribute>
            <xsl:attribute name="name">TPOD1920</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M199"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1930</xsl:attribute>
            <xsl:attribute name="name">TPOD1930</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M201"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1940</xsl:attribute>
            <xsl:attribute name="name">TPOD1940</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M204"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1950</xsl:attribute>
            <xsl:attribute name="name">TPOD1950</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M207"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1960</xsl:attribute>
            <xsl:attribute name="name">TPOD1960</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M210"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1970</xsl:attribute>
            <xsl:attribute name="name">TPOD1970</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M212"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1980</xsl:attribute>
            <xsl:attribute name="name">TPOD1980</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M214"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1990a</xsl:attribute>
            <xsl:attribute name="name">TPOD1990a</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M216"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1990b</xsl:attribute>
            <xsl:attribute name="name">TPOD1990b</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M217"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1990c</xsl:attribute>
            <xsl:attribute name="name">TPOD1990c</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M218"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1990d</xsl:attribute>
            <xsl:attribute name="name">TPOD1990d</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M219"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD1990e</xsl:attribute>
            <xsl:attribute name="name">TPOD1990e</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M220"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2000</xsl:attribute>
            <xsl:attribute name="name">TPOD2000</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M226"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2040</xsl:attribute>
            <xsl:attribute name="name">TPOD2040</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M228"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2050</xsl:attribute>
            <xsl:attribute name="name">TPOD2050</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M230"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2060</xsl:attribute>
            <xsl:attribute name="name">TPOD2060</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M233"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2080</xsl:attribute>
            <xsl:attribute name="name">TPOD2080</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M235"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2090</xsl:attribute>
            <xsl:attribute name="name">TPOD2090</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M236"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2100</xsl:attribute>
            <xsl:attribute name="name">TPOD2100</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M237"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2110</xsl:attribute>
            <xsl:attribute name="name">TPOD2110</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M238"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2120</xsl:attribute>
            <xsl:attribute name="name">TPOD2120</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M239"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2130</xsl:attribute>
            <xsl:attribute name="name">TPOD2130</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M241"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2140</xsl:attribute>
            <xsl:attribute name="name">TPOD2140</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M243"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2150</xsl:attribute>
            <xsl:attribute name="name">TPOD2150</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M245"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2160</xsl:attribute>
            <xsl:attribute name="name">TPOD2160</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M247"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2170</xsl:attribute>
            <xsl:attribute name="name">TPOD2170</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M248"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2180</xsl:attribute>
            <xsl:attribute name="name">TPOD2180</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M249"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2190</xsl:attribute>
            <xsl:attribute name="name">TPOD2190</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M250"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">TPOD2200</xsl:attribute>
            <xsl:attribute name="name">TPOD2200</xsl:attribute>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M251"/>
      </svrl:schematron-output>
   </xsl:template>
   <!--SCHEMATRON PATTERNS-->
   <xsl:param name="xmlDocuments" select="collection('.?select=*.xml;recurse=yes')"/>
   <xsl:param name="gmlDocuments" select="collection('.?select=*.gml;recurse=yes')"/>
   <xsl:param name="SOORT_REGELING"
              select="$xmlDocuments//aanlevering:RegelingVersieInformatie/data:RegelingMetadata/data:soortRegeling/text()"/>
   <xsl:param name="AMvB" select="'/join/id/stop/regelingtype_001'"/>
   <xsl:param name="MR" select="'/join/id/stop/regelingtype_002'"/>
   <xsl:param name="OP" select="'/join/id/stop/regelingtype_003'"/>
   <xsl:param name="OV" select="'/join/id/stop/regelingtype_004'"/>
   <xsl:param name="WV" select="'/join/id/stop/regelingtype_005'"/>
   <xsl:param name="OVi" select="'/join/id/stop/regelingtype_006'"/>
   <xsl:param name="PB" select="'/join/id/stop/regelingtype_007'"/>
   <xsl:param name="I" select="'/join/id/stop/regelingtype_008'"/>
   <xsl:param name="VR" select="'/join/id/stop/regelingtype_009'"/>
   <xsl:param name="P" select="'/join/id/stop/regelingtype_010'"/>
   <xsl:param name="RI" select="'/join/id/stop/regelingtype_011'"/>
   <xsl:param name="AMvB_MR_BRG" select="/regelingtype_001 /regelingtype_002"/>
   <xsl:param name="AMvB_MR"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR"/>
   <xsl:param name="Omgevingsplan_BRG" select="/regelingtype_003"/>
   <xsl:param name="Omgevingsplan" select="         $SOORT_REGELING=$OP"/>
   <xsl:param name="OP-implementatie-GemeentenEnWaterschappen_BRG"
              select="/regelingtype_003 /regelingtype_005"/>
   <xsl:param name="OP-implementatie-GemeentenEnWaterschappen"
              select="         $SOORT_REGELING=$OP or          $SOORT_REGELING=$WV"/>
   <xsl:param name="OW-generiek_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_009 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="OW-generiek"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$OVi or         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$VR or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI         "/>
   <xsl:param name="OW-generiek_OZON_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_009 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="OW-generiek_OZON"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$OVi or         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$VR or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI         "/>
   <xsl:param name="OP-implementatie-generiek_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_009 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="OP-implementatie-generiek"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$OVi or         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$VR or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI         "/>
   <xsl:param name="OP-implementatie-niet-Rijk_BRG"
              select="/regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_009 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="OP-implementatie-niet-Rijk"
              select="         $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$OVi or         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$VR or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI         "/>
   <xsl:param name="OP-implementatie-Omgevingsverordening_BRG"
              select="/regelingtype_004"/>
   <xsl:param name="OP-implementatie-Omgevingsverordening"
              select="         $SOORT_REGELING=$OV"/>
   <xsl:param name="OP-implementatie-regelstructuur_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_009"/>
   <xsl:param name="OP-implementatie-regelstructuur"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$VR         "/>
   <xsl:param name="Regelstructuur_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_009"/>
   <xsl:param name="Regelstructuur"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$VR         "/>
   <xsl:param name="Regelstructuur_OZON_BRG"
              select="/regelingtype_001 /regelingtype_002 /regelingtype_003 /regelingtype_004 /regelingtype_005 /regelingtype_009"/>
   <xsl:param name="Regelstructuur_OZON"
              select="         $SOORT_REGELING=$AMvB or          $SOORT_REGELING=$MR or          $SOORT_REGELING=$OP or          $SOORT_REGELING=$OV or          $SOORT_REGELING=$WV or          $SOORT_REGELING=$VR         "/>
   <xsl:param name="Vrijetekststructuur_BRG"
              select="/regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="Vrijetekststructuur"
              select="         $SOORT_REGELING=$OVi or         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI         "/>
   <xsl:param name="Vrijetekststructuur_OZON_BRG"
              select="/regelingtype_006 /regelingtype_007 /regelingtype_008 /regelingtype_010 /regelingtype_011"/>
   <xsl:param name="Vrijetekststructuur_OZON"
              select="         $SOORT_REGELING=$PB or         $SOORT_REGELING=$I or         $SOORT_REGELING=$P or         $SOORT_REGELING=$RI or         $SOORT_REGELING=$OVi         "/>
   <xsl:param name="Waterschapsverordening_BRG" select="/regelingtype_005"/>
   <xsl:param name="Waterschapsverordening" select="         $SOORT_REGELING=$WV"/>
   <!--PATTERN TPOD_0410-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Kop[tekst:Label ne 'Hoofdstuk']"
                 priority="1000"
                 mode="M67">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Kop[tekst:Label ne 'Hoofdstuk']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0410'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Hoofdstuk moet worden geduid met het label Hoofdstuk.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M67"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M67"/>
   <xsl:template match="@*|node()" priority="-2" mode="M67">
      <xsl:apply-templates select="*" mode="M67"/>
   </xsl:template>
   <!--PATTERN TPOD_0420-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Kop[tekst:Label ne 'Hoofdstuk']"
                 priority="1000"
                 mode="M68">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Kop[tekst:Label ne 'Hoofdstuk']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0420'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Hoofdstuk moet worden geduid met het label Hoofdstuk.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M68"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M68"/>
   <xsl:template match="@*|node()" priority="-2" mode="M68">
      <xsl:apply-templates select="*" mode="M68"/>
   </xsl:template>
   <!--PATTERN TPOD0460-->
   <!--RULE -->
   <xsl:template match="//tekst:Titel/tekst:Kop[tekst:Label ne 'Titel']"
                 priority="1000"
                 mode="M70">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Titel/tekst:Kop[tekst:Label ne 'Titel']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0460'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Titel moet worden geduid met het label Titel.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M70"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M70"/>
   <xsl:template match="@*|node()" priority="-2" mode="M70">
      <xsl:apply-templates select="*" mode="M70"/>
   </xsl:template>
   <!--PATTERN TPOD0470-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Titel" priority="1000" mode="M71">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Titel"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:foutenTPOD_0470(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:foutenTPOD_0470(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0470'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Titels moet beginnen met het nummer van het Hoofdstuk waarin de Titel voorkomt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M71"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M71"/>
   <xsl:template match="@*|node()" priority="-2" mode="M71">
      <xsl:apply-templates select="*" mode="M71"/>
   </xsl:template>
   <!--PATTERN TPOD0480-->
   <!--RULE -->
   <xsl:template match="//tekst:Titel" priority="1000" mode="M73">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Titel"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0480(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0480(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'++TPOD0480'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Titels moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M73"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M73"/>
   <xsl:template match="@*|node()" priority="-2" mode="M73">
      <xsl:apply-templates select="*" mode="M73"/>
   </xsl:template>
   <!--PATTERN TPOD0490-->
   <!--RULE -->
   <xsl:template match="//tekst:Titel" priority="1000" mode="M75">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Titel"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0490'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het cijfer van een titelnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M75"/>
   <xsl:template match="@*|node()" priority="-2" mode="M75">
      <xsl:apply-templates select="*" mode="M75"/>
   </xsl:template>
   <!--PATTERN TPOD0510-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling/tekst:Kop[tekst:Label ne 'Afdeling']"
                 priority="1000"
                 mode="M76">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Afdeling/tekst:Kop[tekst:Label ne 'Afdeling']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0510'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Hoofdstuk moet worden geduid met het label Hoofdstuk.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M76"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M76"/>
   <xsl:template match="@*|node()" priority="-2" mode="M76">
      <xsl:apply-templates select="*" mode="M76"/>
   </xsl:template>
   <!--PATTERN TPOD0520-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Titel/tekst:Afdeling"
                 priority="1000"
                 mode="M77">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Titel/tekst:Afdeling"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0520(.)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0520(.)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0520'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Als tussen Hoofdstuk en Afdeling Titel voorkomt dan moet de nummering van Afdelingen beginnen met het samengestelde nummer van de Titel waarin de Afdeling voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M77"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M77"/>
   <xsl:template match="@*|node()" priority="-2" mode="M77">
      <xsl:apply-templates select="*" mode="M77"/>
   </xsl:template>
   <!--PATTERN TPOD0530-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling" priority="1000" mode="M79">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Afdeling"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0530(.)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0530(.)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0530'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Afdelingen moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M79"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M79"/>
   <xsl:template match="@*|node()" priority="-2" mode="M79">
      <xsl:apply-templates select="*" mode="M79"/>
   </xsl:template>
   <!--PATTERN TPOD0540-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling" priority="1000" mode="M81">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Afdeling"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0540'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het laatste cijfer van een Afdelingnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M81"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M81"/>
   <xsl:template match="@*|node()" priority="-2" mode="M81">
      <xsl:apply-templates select="*" mode="M81"/>
   </xsl:template>
   <!--PATTERN TPOD0560-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Afdeling" priority="1000" mode="M82">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Afdeling"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0560(.)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0560(.)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0560'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Als tussen Hoofdstuk en Afdeling geen Titel voorkomt dan moet de nummering van Afdelingen beginnen met het nummer van het Hoofdstuk waarin de Afdeling voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M82"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M82"/>
   <xsl:template match="@*|node()" priority="-2" mode="M82">
      <xsl:apply-templates select="*" mode="M82"/>
   </xsl:template>
   <!--PATTERN TPOD0570-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf/tekst:Kop[(lower-case(tekst:Label) ne '§') and (tekst:Label ne 'Paragraaf')]"
                 priority="1000"
                 mode="M84">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Paragraaf/tekst:Kop[(lower-case(tekst:Label) ne '§') and (tekst:Label ne 'Paragraaf')]"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0570'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Paragraaf moet worden geduid met de label Paragraaf of het paragraaf-teken.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M84"/>
   <xsl:template match="@*|node()" priority="-2" mode="M84">
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>
   <!--PATTERN TPOD0580-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling/tekst:Paragraaf" priority="1000" mode="M85">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Afdeling/tekst:Paragraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0580(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0580(.)[1]) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0580'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Paragrafen begint met het samengestelde nummer van de Afdeling waarin de Paragraaf voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M85"/>
   <xsl:template match="@*|node()" priority="-2" mode="M85">
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>
   <!--PATTERN TPOD0590-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf" priority="1000" mode="M87">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Paragraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0590(.)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0590(.)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0590'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Paragrafen moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M87"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M87"/>
   <xsl:template match="@*|node()" priority="-2" mode="M87">
      <xsl:apply-templates select="*" mode="M87"/>
   </xsl:template>
   <!--PATTERN TPOD0600-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf" priority="1000" mode="M89">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Paragraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0600'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het cijfer van een paragraafnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M89"/>
   <xsl:template match="@*|node()" priority="-2" mode="M89">
      <xsl:apply-templates select="*" mode="M89"/>
   </xsl:template>
   <!--PATTERN TPOD0620-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf/tekst:Subparagraaf/tekst:Kop[lower-case(tekst:Label) ne 'subparagraaf']"
                 priority="1000"
                 mode="M90">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Paragraaf/tekst:Subparagraaf/tekst:Kop[lower-case(tekst:Label) ne 'subparagraaf']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0620'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Subparagraaf moet worden geduid met de label Subparagraaf.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M90"/>
   <xsl:template match="@*|node()" priority="-2" mode="M90">
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>
   <!--PATTERN TPOD0630-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling/tekst:Paragraaf" priority="1000" mode="M91">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Afdeling/tekst:Paragraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0630(tekst:Kop/tekst:Nummer/text(), .)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0630(tekst:Kop/tekst:Nummer/text(), .)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0630'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Subparagrafen begint met het samengestelde nummer van de Paragraaf waarin de Subparagraaf voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M91"/>
   <xsl:template match="@*|node()" priority="-2" mode="M91">
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>
   <!--PATTERN TPOD0640-->
   <!--RULE -->
   <xsl:template match="//tekst:Afdeling/tekst:Paragraaf" priority="1000" mode="M93">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Afdeling/tekst:Paragraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0640(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0640(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0640'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Subparagrafen moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M93"/>
   <xsl:template match="@*|node()" priority="-2" mode="M93">
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>
   <!--PATTERN TPOD0650-->
   <!--RULE -->
   <xsl:template match="//tekst:Subparagraaf" priority="1000" mode="M95">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Subparagraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0650'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het laatste cijfer van een Subparagraafnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M95"/>
   <xsl:template match="@*|node()" priority="-2" mode="M95">
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>
   <!--PATTERN TPOD0670-->
   <!--RULE -->
   <xsl:template match="//tekst:Subparagraaf/tekst:Subsubparagraaf/tekst:Kop[lower-case(tekst:Label) ne 'subsubparagraaf']"
                 priority="1000"
                 mode="M96">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Subparagraaf/tekst:Subsubparagraaf/tekst:Kop[lower-case(tekst:Label) ne 'subsubparagraaf']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0670'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Subsubparagraaf moet worden geduid met de label Subsubparagraaf.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M96"/>
   <xsl:template match="@*|node()" priority="-2" mode="M96">
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
   <!--PATTERN TPOD0680-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf/tekst:Subparagraaf"
                 priority="1000"
                 mode="M97">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Paragraaf/tekst:Subparagraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0680(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0680(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'+TPOD0680'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Subsubparagrafen begint met het samengestelde nummer van de Subparagraaf waarin de Subsubparagraaf voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M97"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M97"/>
   <xsl:template match="@*|node()" priority="-2" mode="M97">
      <xsl:apply-templates select="*" mode="M97"/>
   </xsl:template>
   <!--PATTERN TPOD0690-->
   <!--RULE -->
   <xsl:template match="//tekst:Paragraaf/tekst:Subparagraaf"
                 priority="1000"
                 mode="M99">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Paragraaf/tekst:Subparagraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0690(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0690(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0690'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Subsubparagrafen moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M99"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M99"/>
   <xsl:template match="@*|node()" priority="-2" mode="M99">
      <xsl:apply-templates select="*" mode="M99"/>
   </xsl:template>
   <!--PATTERN TPOD0700-->
   <!--RULE -->
   <xsl:template match="//tekst:Subsubparagraaf" priority="1000" mode="M101">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Subsubparagraaf"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0700'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het laatste cijfer van een Subsubparagraafnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M101"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M101"/>
   <xsl:template match="@*|node()" priority="-2" mode="M101">
      <xsl:apply-templates select="*" mode="M101"/>
   </xsl:template>
   <!--PATTERN TPOD0720-->
   <!--RULE -->
   <xsl:template match="//tekst:Artikel/tekst:Kop[lower-case(tekst:Label) ne 'artikel']"
                 priority="1000"
                 mode="M102">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Artikel/tekst:Kop[lower-case(tekst:Label) ne 'artikel']"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and false()) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0720'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Artikel moet worden geduid met de label Artikel.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M102"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M102"/>
   <xsl:template match="@*|node()" priority="-2" mode="M102">
      <xsl:apply-templates select="*" mode="M102"/>
   </xsl:template>
   <!--PATTERN TPOD0730-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk" priority="1000" mode="M103">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Hoofdstuk"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0730(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0730(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0730'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Artikelen begint met het nummer van het Hoofdstuk waarin het Artikel voorkomt, gevolgd door een punt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M103"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M103"/>
   <xsl:template match="@*|node()" priority="-2" mode="M103">
      <xsl:apply-templates select="*" mode="M103"/>
   </xsl:template>
   <!--PATTERN TPOD0740-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk" priority="1000" mode="M107">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Hoofdstuk"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:volgordeTPOD_0740(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:volgordeTPOD_0740(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0740'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Artikelnummers moeten oplopend worden genummerd in Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M107"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M107"/>
   <xsl:template match="@*|node()" priority="-2" mode="M107">
      <xsl:apply-templates select="*" mode="M107"/>
   </xsl:template>
   <!--PATTERN TPOD0741_a-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk" priority="1000" mode="M109">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Hoofdstuk"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and string-length(foo:bevatGeletterdeNummersTPOD_0741(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and string-length(foo:bevatGeletterdeNummersTPOD_0741(string(tekst:Kop/tekst:Nummer), .)) = 0) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0741'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Artikelen bevat letters en kan niet middels schematron op geldigheid worden gecheckt. Dit moet handmatig gebeuren.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M109"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M109"/>
   <xsl:template match="@*|node()" priority="-2" mode="M109">
      <xsl:apply-templates select="*" mode="M109"/>
   </xsl:template>
   <!--PATTERN TPOD0741_b-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk" priority="1000" mode="M110">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Hoofdstuk"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and string-length(foo:volgordeTPOD_0741(string(tekst:Kop/tekst:Nummer), foo:bevatGeletterdeNummersTPOD_0741(string(tekst:Kop/tekst:Nummer), .), .)) = 0) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and string-length(foo:volgordeTPOD_0741(string(tekst:Kop/tekst:Nummer), foo:bevatGeletterdeNummersTPOD_0741(string(tekst:Kop/tekst:Nummer), .), .)) = 0) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0741'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De nummering van Artikelen begint met het nummer van het Hoofdstuk waarin het Artikel voorkomt, gevolgd door een punt, daarna oplopende nummering van de Artikelen in Arabische cijfers inclusief indien nodig een letter.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M110"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M110"/>
   <xsl:template match="@*|node()" priority="-2" mode="M110">
      <xsl:apply-templates select="*" mode="M110"/>
   </xsl:template>
   <!--PATTERN TPOD0750-->
   <!--RULE -->
   <xsl:template match="//tekst:Artikel" priority="1000" mode="M113">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Artikel"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and not(ends-with(string(tekst:Kop/tekst:Nummer), '.'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0750'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het laatste cijfer van een Artikelnummer mag geen punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M113"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M113"/>
   <xsl:template match="@*|node()" priority="-2" mode="M113">
      <xsl:apply-templates select="*" mode="M113"/>
   </xsl:template>
   <!--PATTERN TPOD0780_a-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M114">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:bevatGeletterdeNummersTPOD_0780(.)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:bevatGeletterdeNummersTPOD_0780(.)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0780'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Leden moeten per artikel oplopend genummerd worden in Arabische cijfers (en indien nodig, een letter).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M114"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M114"/>
   <xsl:template match="@*|node()" priority="-2" mode="M114">
      <xsl:apply-templates select="*" mode="M114"/>
   </xsl:template>
   <!--PATTERN TPOD0780_b-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M115">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:volgordeTPOD_0780(foo:bevatGeletterdeNummersTPOD_0780(.),.)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:volgordeTPOD_0780(foo:bevatGeletterdeNummersTPOD_0780(.),.)) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0780'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Leden moeten per artikel oplopend genummerd worden in Arabische cijfers (en indien nodig, een letter).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M115"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M115"/>
   <xsl:template match="@*|node()" priority="-2" mode="M115">
      <xsl:apply-templates select="*" mode="M115"/>
   </xsl:template>
   <!--PATTERN TPOD0781_a-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M118">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and string-length(foo:bevatGeletterdeNummersTPOD_0781(.)) = 0) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and string-length(foo:bevatGeletterdeNummersTPOD_0781(.)) = 0) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0781'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Leden moeten per artikel oplopend genummerd worden in Arabische cijfers (en indien nodig, een letter).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M118"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M118"/>
   <xsl:template match="@*|node()" priority="-2" mode="M118">
      <xsl:apply-templates select="*" mode="M118"/>
   </xsl:template>
   <!--PATTERN TPOD0781_b-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M119">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and string-length(foo:volgordeTPOD_0781(foo:bevatGeletterdeNummersTPOD_0781(.),.)) = 0) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and string-length(foo:volgordeTPOD_0781(foo:bevatGeletterdeNummersTPOD_0781(.),.)) = 0) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0781'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Leden moeten per artikel oplopend genummerd worden in Arabische cijfers (en indien nodig, een letter).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M119"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M119"/>
   <xsl:template match="@*|node()" priority="-2" mode="M119">
      <xsl:apply-templates select="*" mode="M119"/>
   </xsl:template>
   <!--PATTERN TPOD0790-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M122">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0790(.)) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:volgordeTPOD_0790(.)) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0790'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het eerste lid van ieder artikel krijgt het nummer 1'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M122"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M122"/>
   <xsl:template match="@*|node()" priority="-2" mode="M122">
      <xsl:apply-templates select="*" mode="M122"/>
   </xsl:template>
   <!--PATTERN TPOD0800-->
   <!--RULE -->
   <xsl:template match="//tekst:Lid" priority="1000" mode="M124">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lid"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and ends-with(string(tekst:LidNummer),'.')) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and ends-with(string(tekst:LidNummer),'.')) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0800'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Achter het lidnummer moet een punt worden opgenomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M124"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M124"/>
   <xsl:template match="@*|node()" priority="-2" mode="M124">
      <xsl:apply-templates select="*" mode="M124"/>
   </xsl:template>
   <!--PATTERN TPOD0810-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M125">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and name(*[1])='Lijstaanhef') or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and name(*[1])='Lijstaanhef') or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0810'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Lijst wordt altijd voorafgegaan door een inleidende tekst, oftewel de Lijstaanhef.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M125"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M125"/>
   <xsl:template match="@*|node()" priority="-2" mode="M125">
      <xsl:apply-templates select="*" mode="M125"/>
   </xsl:template>
   <!--PATTERN TPOD0820-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M126">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and count(ancestor-or-self::tekst:Lijst)&lt;4) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and count(ancestor-or-self::tekst:Lijst)&lt;4) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0820'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Lijsten mogen in ten hoogste drie niveaus gebruikt worden.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M126"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M126"/>
   <xsl:template match="@*|node()" priority="-2" mode="M126">
      <xsl:apply-templates select="*" mode="M126"/>
   </xsl:template>
   <!--PATTERN TPOD0830-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M127">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkEersteNiveauLijstLettersTPOD_0830(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkEersteNiveauLijstLettersTPOD_0830(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0830'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="concat('bij lijstnummer: ',foo:checkEersteNiveauLijstLettersTPOD_0830(.)[1],' op lijst: ')"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De onderdelen van de Lijst op het eerste niveau moeten worden aangegeven met letters.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="concat('bij lijstnummer: ',foo:checkEersteNiveauLijstLettersTPOD_0830(.)[1],' op lijst: ')"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M127"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M127"/>
   <xsl:template match="@*|node()" priority="-2" mode="M127">
      <xsl:apply-templates select="*" mode="M127"/>
   </xsl:template>
   <!--PATTERN TPOD0831-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M129">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0831'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het teken voor een Lijstitem mag zelf bepaald worden door het bevoegd gezag, ook als een lijst binnen een lid wordt gebruikt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M129"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M129"/>
   <xsl:template match="@*|node()" priority="-2" mode="M129">
      <xsl:apply-templates select="*" mode="M129"/>
   </xsl:template>
   <!--PATTERN TPOD0840-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M131">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkTweedeNiveauLijstCijfersTPOD_0840(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkTweedeNiveauLijstCijfersTPOD_0840(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0840'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De onderdelen van de Lijst op het tweede niveau moeten worden aangegeven met Arabische cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M131"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M131"/>
   <xsl:template match="@*|node()" priority="-2" mode="M131">
      <xsl:apply-templates select="*" mode="M131"/>
   </xsl:template>
   <!--PATTERN TPOD0841-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M133">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0841'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het teken voor een Lijstitem op het tweede niveau mag zelf bepaald worden door het bevoegd gezag, ook als een lijst binnen een lid wordt gebruikt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M133"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M133"/>
   <xsl:template match="@*|node()" priority="-2" mode="M133">
      <xsl:apply-templates select="*" mode="M133"/>
   </xsl:template>
   <!--PATTERN TPOD0850-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M135">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkDerdeNiveauLijstCijfersTPOD_0850(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-GemeentenEnWaterschappen and string-length(foo:checkDerdeNiveauLijstCijfersTPOD_0850(.)[1]) = 0) or not($OP-implementatie-GemeentenEnWaterschappen)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0850'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="concat('bij lijstnummer: ',foo:checkDerdeNiveauLijstCijfersTPOD_0850(.)[1],' op lijst: ')"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="@eId"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De onderdelen van de Lijst op het derde niveau moeten worden aangegeven met Romeinse cijfers.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="concat('bij lijstnummer: ',foo:checkDerdeNiveauLijstCijfersTPOD_0850(.)[1],' op lijst: ')"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="@eId"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M135"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M135"/>
   <xsl:template match="@*|node()" priority="-2" mode="M135">
      <xsl:apply-templates select="*" mode="M135"/>
   </xsl:template>
   <!--PATTERN TPOD0851-->
   <!--RULE -->
   <xsl:template match="//tekst:Lijst" priority="1000" mode="M137">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Lijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-Omgevingsverordening and true()) or not($OP-implementatie-Omgevingsverordening)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0851'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het teken voor een Lijstitem op het derde niveau mag zelf bepaald worden door het bevoegd gezag, ook als een lijst binnen een lid wordt gebruikt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M137"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M137"/>
   <xsl:template match="@*|node()" priority="-2" mode="M137">
      <xsl:apply-templates select="*" mode="M137"/>
   </xsl:template>
   <!--PATTERN TPOD0880-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk/tekst:Kop[string(tekst:Nummer) = '1']"
                 priority="1000"
                 mode="M139">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk/tekst:Kop[string(tekst:Nummer) = '1']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and ((tekst:Label/text() = 'Hoofdstuk') and (lower-case(tekst:Opschrift/text()) = 'algemene bepalingen'))) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and ((tekst:Label/text() = 'Hoofdstuk') and (lower-case(tekst:Opschrift/text()) = 'algemene bepalingen'))) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0880'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Hoofdstuk 1 heeft het Opschrift Algemene bepalingen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M139"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M139"/>
   <xsl:template match="@*|node()" priority="-2" mode="M139">
      <xsl:apply-templates select="*" mode="M139"/>
   </xsl:template>
   <!--PATTERN TPOD0930_a-->
   <!--RULE -->
   <xsl:template match="//basisgeo:geometrie" priority="1000" mode="M140">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//basisgeo:geometrie"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:aantalTPOD_0930_28992(.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:aantalTPOD_0930_28992(.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0930'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een geometrie moet zijn opgebouwd middels één coordinate reference system (crs): EPSG:28992 (=RD) of EPSG:4258 (=ETRS89). Indien gebruik wordt gemaakt van EPSG:28992 (=RD new) dan moeten coördinaten in eenheden van meters worden opgegeven waarbij de waarde maximaal drie decimalen achter de komma mag bevatten.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',foo:aantalTPOD_0930_28992(.))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M140"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M140"/>
   <xsl:template match="@*|node()" priority="-2" mode="M140">
      <xsl:apply-templates select="*" mode="M140"/>
   </xsl:template>
   <!--PATTERN TPOD0930_b-->
   <!--RULE -->
   <xsl:template match="//basisgeo:geometrie" priority="1000" mode="M141">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//basisgeo:geometrie"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:aantalTPOD_0930_4258(.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:aantalTPOD_0930_4258(.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0930'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een geometrie moet zijn opgebouwd middels één coordinate reference system (crs): EPSG:28992 (=RD) of EPSG:4258 (=ETRS89). Indien gebruik wordt gemaakt van EPSG:4258 (=ETRS89) dan moeten coördinaten in eenheden van decimale graden worden opgegeven waarbij de waarde maximaal acht decimalen achter de komma mag bevatten.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',foo:aantalTPOD_0930_4258(.))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M141"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M141"/>
   <xsl:template match="@*|node()" priority="-2" mode="M141">
      <xsl:apply-templates select="*" mode="M141"/>
   </xsl:template>
   <!--PATTERN TPOD0940-->
   <!--RULE -->
   <xsl:template match="//basisgeo:geometrie" priority="1000" mode="M145">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//basisgeo:geometrie"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-generiek and string-length(foo:crssesTPOD_0940(foo:crsTPOD_0940(.), .)) = 0) or not($OP-implementatie-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-generiek and string-length(foo:crssesTPOD_0940(foo:crsTPOD_0940(.), .)) = 0) or not($OP-implementatie-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0940'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een geometrie moet zijn opgebouwd middels één coordinate reference system (crs)'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../basisgeo:id)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M145"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M145"/>
   <xsl:template match="@*|node()" priority="-2" mode="M145">
      <xsl:apply-templates select="*" mode="M145"/>
   </xsl:template>
   <!--PATTERN TPOD0980-->
   <!--RULE -->
   <xsl:template match="//tekst:Hoofdstuk[tekst:Kop/tekst:Nummer/text() eq '1']"
                 priority="1000"
                 mode="M148">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Hoofdstuk[tekst:Kop/tekst:Nummer/text() eq '1']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:opschriftTPOD0980(.)[1]) &gt; 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:opschriftTPOD0980(.)[1]) &gt; 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD0980'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Hoofdstuk 1 moet een artikel \&#34;begripsbepalingen\&#34; bevatten.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M148"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M148"/>
   <xsl:template match="@*|node()" priority="-2" mode="M148">
      <xsl:apply-templates select="*" mode="M148"/>
   </xsl:template>
   <!--PATTERN TPOD1000-->
   <!--RULE -->
   <xsl:template match="//tekst:Begrip" priority="1000" mode="M150">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Begrip"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and count(tekst:Term)=1 and count(tekst:Definitie)=1) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and count(tekst:Term)=1 and count(tekst:Definitie)=1) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1000'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Begrip moet bestaan uit één term en één definitie.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M150"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M150"/>
   <xsl:template match="@*|node()" priority="-2" mode="M150">
      <xsl:apply-templates select="*" mode="M150"/>
   </xsl:template>
   <!--PATTERN TPOD1010-->
   <!--RULE -->
   <xsl:template match="//tekst:Begrippenlijst" priority="1000" mode="M151">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Begrippenlijst"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-generiek and string-length(foo:checkBegripTPOD1010(.)) = 0) or not($OP-implementatie-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-generiek and string-length(foo:checkBegripTPOD1010(.)) = 0) or not($OP-implementatie-generiek)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1010'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Begriplijst moet gesorteerd zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M151"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M151"/>
   <xsl:template match="@*|node()" priority="-2" mode="M151">
      <xsl:apply-templates select="*" mode="M151"/>
   </xsl:template>
   <!--PATTERN TPOD1020-->
   <!--RULE -->
   <xsl:template match="//tekst:Begrippenlijst[tekst:Begrip/tekst:LiNummer]"
                 priority="1000"
                 mode="M153">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Begrippenlijst[tekst:Begrip/tekst:LiNummer]"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and false()) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and false()) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1020'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Begrippen mogen niet worden genummerd.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M153"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M153"/>
   <xsl:template match="@*|node()" priority="-2" mode="M153">
      <xsl:apply-templates select="*" mode="M153"/>
   </xsl:template>
   <!--PATTERN TPOD1070-->
   <!--RULE -->
   <xsl:template match="//tekst:Artikel[tekst:Kop/tekst:Opschrift/text() eq 'Meet- en rekenbepalingen']"
                 priority="1000"
                 mode="M154">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tekst:Artikel[tekst:Kop/tekst:Opschrift/text() eq 'Meet- en rekenbepalingen']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and tekst:Inhoud/tekst:Begrippenlijst/tekst:Begrip/tekst:LiNummer) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and tekst:Inhoud/tekst:Begrippenlijst/tekst:Begrip/tekst:LiNummer) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1070'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Meet- en rekenbepalingen mogen niet worden genummerd.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@eId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M154"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M154"/>
   <xsl:template match="@*|node()" priority="-2" mode="M154">
      <xsl:apply-templates select="*" mode="M154"/>
   </xsl:template>
   <!--PATTERN TPOD1310-->
   <!--RULE -->
   <xsl:template match="//l:Gebied/l:hoogte[string(da:eenheid) ne 'http://standaarden.omgevingswet.overheid.nl/eenheid/id/concept/Meter_Eenheid']"
                 priority="1000"
                 mode="M155">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Gebied/l:hoogte[string(da:eenheid) ne 'http://standaarden.omgevingswet.overheid.nl/eenheid/id/concept/Meter_Eenheid']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and false()) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and false()) or not($OW-generiek)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1310'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Locatie heeft het attribuut hoogte, indien het attribuut hoogte gevuld wordt dient hier binnen de eenheid de URI van \&#34;meter\&#34; gekozen te worden.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M155"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M155"/>
   <xsl:template match="@*|node()" priority="-2" mode="M155">
      <xsl:apply-templates select="*" mode="M155"/>
   </xsl:template>
   <!--PATTERN TPOD1650-->
   <!--RULE -->
   <xsl:template match="//(rol:Omgevingswaarde|rol:Omgevingsnorm)/rol:normwaarde/rol:Normwaarde"
                 priority="1000"
                 mode="M156">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//(rol:Omgevingswaarde|rol:Omgevingsnorm)/rol:normwaarde/rol:Normwaarde"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and              (rol:kwantitatieveWaarde or rol:kwalitatieveWaarde or rol:waardeInRegeltekst)              and             not((rol:kwantitatieveWaarde and rol:kwalitatieveWaarde)             or             (rol:waardeInRegeltekst and rol:kwalitatieveWaarde)             or             (rol:kwantitatieveWaarde and rol:waardeInRegeltekst)             or             (rol:kwantitatieveWaarde and rol:waardeInRegeltekst and rol:kwalitatieveWaarde))             ) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and (rol:kwantitatieveWaarde or rol:kwalitatieveWaarde or rol:waardeInRegeltekst) and not((rol:kwantitatieveWaarde and rol:kwalitatieveWaarde) or (rol:waardeInRegeltekst and rol:kwalitatieveWaarde) or (rol:kwantitatieveWaarde and rol:waardeInRegeltekst) or (rol:kwantitatieveWaarde and rol:waardeInRegeltekst and rol:kwalitatieveWaarde)) ) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1650'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het attribuut \&#34;normwaarde\&#34; moet bestaan uit één van de drie mogelijke attributen: \&#34;kwalitatieveWaarde\&#34; òf \&#34;kwantitatieveWaarde\&#34; òf \&#34;waardeInRegeltekst\&#34;'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M156"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M156"/>
   <xsl:template match="@*|node()" priority="-2" mode="M156">
      <xsl:apply-templates select="*" mode="M156"/>
   </xsl:template>
   <!--PATTERN TPOD1700-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M157">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and not(contains(foo:run1700(rol:identificatie/text(), string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href), foo:activiteitenLijstTPOD_1700()), ','))) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and not(contains(foo:run1700(rol:identificatie/text(), string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href), foo:activiteitenLijstTPOD_1700()), ','))) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1700'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Voor elke hiërarchie van nieuwe activiteiten geldt dat de hoogste activiteit in de hiërarchie een bovenliggende activiteit moet hebben die reeds bestaat in de functionele structuur.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Verwijzingen naar DSO data worden nog niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M157"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M157"/>
   <xsl:template match="@*|node()" priority="-2" mode="M157">
      <xsl:apply-templates select="*" mode="M157"/>
   </xsl:template>
   <!--PATTERN TPOD1710-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M161">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and string-length(foo:circulaireActivititeitenTPOD_1710(., foo:activiteitenLijstTPOD_1710())) = 0) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and string-length(foo:circulaireActivititeitenTPOD_1710(., foo:activiteitenLijstTPOD_1710())) = 0) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1710'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een bovenliggende activiteit mag niet naar een activiteit verwijzen die lager in de hiërarchie ligt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M161"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M161"/>
   <xsl:template match="@*|node()" priority="-2" mode="M161">
      <xsl:apply-templates select="*" mode="M161"/>
   </xsl:template>
   <!--PATTERN TPOD1730-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M165">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and contains(foo:activiteitenLijstTPOD_1730(), rol:gerelateerdeActiviteit/rol:ActiviteitRef/@xlink:href)) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and contains(foo:activiteitenLijstTPOD_1730(), rol:gerelateerdeActiviteit/rol:ActiviteitRef/@xlink:href)) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1730'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Gerelateerde activiteiten moeten bestaan indien er naar verwezen wordt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M165"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M165"/>
   <xsl:template match="@*|node()" priority="-2" mode="M165">
      <xsl:apply-templates select="*" mode="M165"/>
   </xsl:template>
   <!--PATTERN TPOD1740-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M167">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and contains(foo:activiteitenLijstTPOD_1740(), string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href))) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and contains(foo:activiteitenLijstTPOD_1740(), string(rol:bovenliggendeActiviteit/rol:ActiviteitRef/@xlink:href))) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1740'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Bovenliggende activiteiten moeten bestaan indien er naar verwezen wordt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M167"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M167"/>
   <xsl:template match="@*|node()" priority="-2" mode="M167">
      <xsl:apply-templates select="*" mode="M167"/>
   </xsl:template>
   <!--PATTERN TPOD1750-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M169">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and not(foo:activiteitenGebiedenTPOD_1750(rol:identificatie/text()) = 'false')) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and not(foo:activiteitenGebiedenTPOD_1750(rol:identificatie/text()) = 'false')) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1750'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Activiteit moet een gebied of gebiedengroep betreffen (en mag geen punt, puntengroep, lijn of lijnengroep zijn).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M169"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M169"/>
   <xsl:template match="@*|node()" priority="-2" mode="M169">
      <xsl:apply-templates select="*" mode="M169"/>
   </xsl:template>
   <!--PATTERN TPOD1760-->
   <!--RULE -->
   <xsl:template match="//ga:Gebiedsaanwijzing" priority="1000" mode="M171">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ga:Gebiedsaanwijzing"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and not(foo:gebiedsaanwijzingGebiedenTPOD_1760() = 'false')) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and not(foo:gebiedsaanwijzingGebiedenTPOD_1760() = 'false')) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1760'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een Gebiedsaanwijzing moet een of meer gebied of gebiedengroep betreffen (en mag geen punt, puntengroep, lijn, lijnengroep of anderszins zijn).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M171"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M171"/>
   <xsl:template match="@*|node()" priority="-2" mode="M171">
      <xsl:apply-templates select="*" mode="M171"/>
   </xsl:template>
   <!--PATTERN TPOD1770-->
   <!--RULE -->
   <xsl:template match="//ga:Gebiedsaanwijzing" priority="1000" mode="M173">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ga:Gebiedsaanwijzing"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and false()) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and false()) or not($OW-generiek)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1770'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Binnen het object \&#34;Gebiedsaanwijzing\&#34; moeten de waarden van de attributen \&#34;groep\&#34; (datatype \&#34;Gebiedsaanwijzinggroep\&#34;) hiërarchisch vallen onder het \&#34;type\&#34; (datatype \&#34;TypeGebiedsaanwijzing\&#34;).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test wordt niet uitgevoerd omdat het binnen deze schematron nog niet mogelijk is om waardelijst-hierarchieën op te vragen via een externe API'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M173"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M173"/>
   <xsl:template match="@*|node()" priority="-2" mode="M173">
      <xsl:apply-templates select="*" mode="M173"/>
   </xsl:template>
   <!--PATTERN TPOD1780-->
   <!--RULE -->
   <xsl:template match="//aanlevering:AanleveringBesluit"
                 priority="1000"
                 mode="M174">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//aanlevering:AanleveringBesluit"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and count(//tekst:Hoofdstuk/descendant::tekst:Artikel) &gt; 0) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and count(//tekst:Hoofdstuk/descendant::tekst:Artikel) &gt; 0) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1780'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string('n.v.t.')"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een omgevingsdocument met een artikelstructuur moet bestaan uit tenminste een hoofdstuk en een artikel.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'eId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string('n.v.t.')"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M174"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M174"/>
   <xsl:template match="@*|node()" priority="-2" mode="M174">
      <xsl:apply-templates select="*" mode="M174"/>
   </xsl:template>
   <!--PATTERN TPOD1790-->
   <!--RULE -->
   <xsl:template match="//r:Instructieregel" priority="1000" mode="M175">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:Instructieregel"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Omgevingsplan and false()) or not($Omgevingsplan)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Omgevingsplan and false()) or not($Omgevingsplan)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1790'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het IMOW-object \&#34;Instructieregel\&#34; is niet van toepassing (voor Omgevingsplan).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M175"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M175"/>
   <xsl:template match="@*|node()" priority="-2" mode="M175">
      <xsl:apply-templates select="*" mode="M175"/>
   </xsl:template>
   <!--PATTERN TPOD1830-->
   <!--RULE -->
   <xsl:template match="//ga:Gebiedsaanwijzing[ga:type/text() eq 'http://standaarden.omgevingswet.overheid.nl/typegebiedsaanwijzing/id/concept/Functie']"
                 priority="1000"
                 mode="M176">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ga:Gebiedsaanwijzing[ga:type/text() eq 'http://standaarden.omgevingswet.overheid.nl/typegebiedsaanwijzing/id/concept/Functie']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($AMvB_MR and false()) or not($AMvB_MR)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($AMvB_MR and false()) or not($AMvB_MR)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1830'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Binnen het object ‘Gebiedsaanwijzing’ is de waarde ‘functie’ van attribuut ‘type’ (datatype TypeGebiedsaanwijzing) niet toegestaan. (voor AMvB/MR)'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M176"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M176"/>
   <xsl:template match="@*|node()" priority="-2" mode="M176">
      <xsl:apply-templates select="*" mode="M176"/>
   </xsl:template>
   <!--PATTERN TPOD1840-->
   <!--RULE -->
   <xsl:template match="//ga:Gebiedsaanwijzing[ga:type/text() eq 'http://standaarden.omgevingswet.overheid.nl/typegebiedsaanwijzing/id/concept/Beperkingengebied']"
                 priority="1000"
                 mode="M177">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ga:Gebiedsaanwijzing[ga:type/text() eq 'http://standaarden.omgevingswet.overheid.nl/typegebiedsaanwijzing/id/concept/Beperkingengebied']"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($AMvB_MR and false()) or not($AMvB_MR)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($AMvB_MR and false()) or not($AMvB_MR)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1840'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Binnen het object ‘Gebiedsaanwijzing’ is de waarde \&#34;beperkingengebied\&#34; van attribuut \&#34;type\&#34; (datatype TypeGebiedsaanwijzing) niet toegestaan. (voor AMvB/MR).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ga:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M177"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M177"/>
   <xsl:template match="@*|node()" priority="-2" mode="M177">
      <xsl:apply-templates select="*" mode="M177"/>
   </xsl:template>
   <!--PATTERN TPOD1850-->
   <!--RULE -->
   <xsl:template match="//r:Regeltekst" priority="1000" mode="M178">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:Regeltekst"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-regelstructuur and string-length(foo:CheckFouteConstructiesTPOD_1850(.))=0) or not($OP-implementatie-regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-regelstructuur and string-length(foo:CheckFouteConstructiesTPOD_1850(.))=0) or not($OP-implementatie-regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1850'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(r:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Alle Juridische regels binnen één Regeltekst moeten van hetzelfde type zijn, respectievelijk; RegelVoorIedereen, Instructieregel of Omgevingswaarderegel.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(r:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M178"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M178"/>
   <xsl:template match="@*|node()" priority="-2" mode="M178">
      <xsl:apply-templates select="*" mode="M178"/>
   </xsl:template>
   <!--PATTERN TPOD1860_a-->
   <!--RULE -->
   <xsl:template match="//r:Regeltekst" priority="1000" mode="M180">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:Regeltekst"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and foo:regeltekstReferencesTPOD_1860(.) = 'true') or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and foo:regeltekstReferencesTPOD_1860(.) = 'true') or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(r:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(r:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="': een of meer gerelateerde regelteksten verwijzen naar zichzelf of een niet bestaande regeltekst.'"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M180"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M180"/>
   <xsl:template match="@*|node()" priority="-2" mode="M180">
      <xsl:apply-templates select="*" mode="M180"/>
   </xsl:template>
   <!--PATTERN TPOD1860_b-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit" priority="1000" mode="M182">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Activiteit"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and foo:activiteitReferencesTPOD_1860(.) = 'true') or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and foo:activiteitReferencesTPOD_1860(.) = 'true') or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="': een of meer gerelateerde activiteiten verwijzen naar zichzelf of een niet bestaande activiteit.'"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M182"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M182"/>
   <xsl:template match="@*|node()" priority="-2" mode="M182">
      <xsl:apply-templates select="*" mode="M182"/>
   </xsl:template>
   <!--PATTERN TPOD1860_c-->
   <!--RULE -->
   <xsl:template match="//r:artikelOfLid/r:RegeltekstRef"
                 priority="1000"
                 mode="M184">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//r:artikelOfLid/r:RegeltekstRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//r:Regeltekst/r:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//r:Regeltekst/r:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M184"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M184"/>
   <xsl:template match="@*|node()" priority="-2" mode="M184">
      <xsl:apply-templates select="*" mode="M184"/>
   </xsl:template>
   <!--PATTERN TPOD1860_d-->
   <!--RULE -->
   <xsl:template match="//r:RegelVoorIedereen/r:activiteitaanduiding/rol:ActiviteitRef"
                 priority="1000"
                 mode="M185">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//r:RegelVoorIedereen/r:activiteitaanduiding/rol:ActiviteitRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Activiteit/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Activiteit/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../r:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../r:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',string(@xlink:href))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M185"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M185"/>
   <xsl:template match="@*|node()" priority="-2" mode="M185">
      <xsl:apply-templates select="*" mode="M185"/>
   </xsl:template>
   <!--PATTERN TPOD1860_e-->
   <!--RULE -->
   <xsl:template match="//r:omgevingsnormaanduiding/rol:OmgevingsnormRef"
                 priority="1000"
                 mode="M186">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//r:omgevingsnormaanduiding/rol:OmgevingsnormRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Omgevingsnorm/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Omgevingsnorm/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../r:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../r:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',string(@xlink:href))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M186"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M186"/>
   <xsl:template match="@*|node()" priority="-2" mode="M186">
      <xsl:apply-templates select="*" mode="M186"/>
   </xsl:template>
   <!--PATTERN TPOD1860_f-->
   <!--RULE -->
   <xsl:template match="//r:gebiedsaanwijzing/ga:GebiedsaanwijzingRef"
                 priority="1000"
                 mode="M187">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//r:gebiedsaanwijzing/ga:GebiedsaanwijzingRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//ga:Gebiedsaanwijzing/ga:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//ga:Gebiedsaanwijzing/ga:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',string(@xlink:href))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M187"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M187"/>
   <xsl:template match="@*|node()" priority="-2" mode="M187">
      <xsl:apply-templates select="*" mode="M187"/>
   </xsl:template>
   <!--PATTERN TPOD1860_g-->
   <!--RULE -->
   <xsl:template match="//rol:gerelateerdeActiviteit/rol:ActiviteitRef"
                 priority="1000"
                 mode="M188">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//rol:gerelateerdeActiviteit/rol:ActiviteitRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Activiteit/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getIdentifiersTPOD_1860($xmlDocuments//rol:Activiteit/rol:identificatie), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',string(@xlink:href))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M188"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M188"/>
   <xsl:template match="@*|node()" priority="-2" mode="M188">
      <xsl:apply-templates select="*" mode="M188"/>
   </xsl:template>
   <!--PATTERN TPOD1860_h-->
   <!--RULE -->
   <xsl:template match="//l:LocatieRef | l:GebiedRef | l:GebiedengroepRef | l:PuntRef | l:PuntengroepRef | l:LijnengroepRef | l:LijnRef"
                 priority="1000"
                 mode="M189">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:LocatieRef | l:GebiedRef | l:GebiedengroepRef | l:PuntRef | l:PuntengroepRef | l:LijnengroepRef | l:LijnRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and contains(foo:getLocationIdentifiersTPOD_1860(), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and contains(foo:getLocationIdentifiersTPOD_1860(), concat('.',string(@xlink:href),'.'))) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1860'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../*:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een ander OwObject moet een bestaand (ander) OwObject zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../*:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',string(@xlink:href))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M189"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M189"/>
   <xsl:template match="@*|node()" priority="-2" mode="M189">
      <xsl:apply-templates select="*" mode="M189"/>
   </xsl:template>
   <!--PATTERN TPOD1870-->
   <!--RULE -->
   <xsl:template match="//r:artikelOfLid" priority="1000" mode="M192">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:artikelOfLid"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and contains(foo:getRegelTekstIdentifiersTPOD_1870(), concat('.',r:RegeltekstRef/@xlink:href,'.'))) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and contains(foo:getRegelTekstIdentifiersTPOD_1870(), concat('.',r:RegeltekstRef/@xlink:href,'.'))) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1870'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'RegeltekstRef'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Een verwijzing naar ArtikelOfLid moet verwijzen naar een bestaand artikel of lid.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'RegeltekstRef'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M192"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M192"/>
   <xsl:template match="@*|node()" priority="-2" mode="M192">
      <xsl:apply-templates select="*" mode="M192"/>
   </xsl:template>
   <!--PATTERN TPOD1880-->
   <!--RULE -->
   <xsl:template match="//(rol:Omgevingswaarde|r:Omgevingswaarderegel)"
                 priority="1000"
                 mode="M194">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//(rol:Omgevingswaarde|r:Omgevingswaarderegel)"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and not($Waterschapsverordening)) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and not($Waterschapsverordening)) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1880'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De IMOW-objecten \&#34;Omgevingswaarde$=\&#34; zijn niet van toepassing op de Waterschapsverordening.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M194"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M194"/>
   <xsl:template match="@*|node()" priority="-2" mode="M194">
      <xsl:apply-templates select="*" mode="M194"/>
   </xsl:template>
   <!--PATTERN TPOD1890-->
   <!--RULE -->
   <xsl:template match="//*:identificatie" priority="1000" mode="M195">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//*:identificatie"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and contains(text(), concat('.', foo:CheckFouteIdentifierTPOD_1890(.), '.'))) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and contains(text(), concat('.', foo:CheckFouteIdentifierTPOD_1890(.), '.'))) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1890'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(.)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De identificatie van het OwObject moet de naam van het OwObject-element zelf bevatten, en in het geval van een Juridische regel, de term juridischeregel.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(.)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ', local-name(..))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M195"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M195"/>
   <xsl:template match="@*|node()" priority="-2" mode="M195">
      <xsl:apply-templates select="*" mode="M195"/>
   </xsl:template>
   <!--PATTERN TPOD1910-->
   <!--RULE -->
   <xsl:template match="//sl:objectTypen/sl:objectType" priority="1000" mode="M197">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//sl:objectTypen/sl:objectType"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and contains(foo:owObjectenLijstTPOD_1910(.), concat('.',text(),'.'))) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and contains(foo:owObjectenLijstTPOD_1910(.), concat('.',text(),'.'))) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1910'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'objectType'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(.)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De objecttypen in ow-dc:owBestand/sl:standBestand/sl:inhoud/sl:objectTypen dienen overeen te komen met de daadwerkelijke objecten in het betreffende Ow-bestand.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'objectType'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(.)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M197"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M197"/>
   <xsl:template match="@*|node()" priority="-2" mode="M197">
      <xsl:apply-templates select="*" mode="M197"/>
   </xsl:template>
   <!--PATTERN TPOD1920-->
   <!--RULE -->
   <xsl:template match="/ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand"
                 priority="1000"
                 mode="M199">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="/ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:notfoundFileOrObjectTypeTPOD_1920(ow-manifest:naam,.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:notfoundFileOrObjectTypeTPOD_1920(ow-manifest:naam,.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1920'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'objecttype'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(concat(ow-manifest:objecttype,': ',ow-manifest:naam))"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'De objecttypen in manifest-ow dienen overeen te komen met de objecttypen in het betreffende Ow-bestand.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'objecttype'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(concat(ow-manifest:objecttype,': ',ow-manifest:naam))"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M199"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M199"/>
   <xsl:template match="@*|node()" priority="-2" mode="M199">
      <xsl:apply-templates select="*" mode="M199"/>
   </xsl:template>
   <!--PATTERN TPOD1930-->
   <!--RULE -->
   <xsl:template match="//l:Gebiedengroep/l:groepselement"
                 priority="1000"
                 mode="M201">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Gebiedengroep/l:groepselement"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:notFoundTPOD_1930(.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:notFoundTPOD_1930(.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1930'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een OwObject in een Gebiedengroep moet een bestaand (ander) OwObject van het type Gebied zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M201"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M201"/>
   <xsl:template match="@*|node()" priority="-2" mode="M201">
      <xsl:apply-templates select="*" mode="M201"/>
   </xsl:template>
   <!--PATTERN TPOD1940-->
   <!--RULE -->
   <xsl:template match="//l:Puntengroep/l:groepselement" priority="1000" mode="M204">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Puntengroep/l:groepselement"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:notFoundTPOD_1940(.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:notFoundTPOD_1940(.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1940'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een OwObject in een Puntengroep moet een bestaand (ander) OwObject van het type Punt zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M204"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M204"/>
   <xsl:template match="@*|node()" priority="-2" mode="M204">
      <xsl:apply-templates select="*" mode="M204"/>
   </xsl:template>
   <!--PATTERN TPOD1950-->
   <!--RULE -->
   <xsl:template match="//l:Lijnengroep/l:groepselement" priority="1000" mode="M207">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Lijnengroep/l:groepselement"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:notFoundTPOD_1950(.)) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:notFoundTPOD_1950(.)) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1950'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een OwObject in een Puntengroep moet een bestaand (ander) OwObject van het type Punt zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M207"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M207"/>
   <xsl:template match="@*|node()" priority="-2" mode="M207">
      <xsl:apply-templates select="*" mode="M207"/>
   </xsl:template>
   <!--PATTERN TPOD1960-->
   <!--RULE -->
   <xsl:template match="//l:Lijn/l:geometrie/l:GeometrieRef"
                 priority="1000"
                 mode="M210">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Lijn/l:geometrie/l:GeometrieRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and foo:testGeometrie_1960(.)) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and foo:testGeometrie_1960(.)) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1960'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een gmlObject vanuit een Lijn moet een lijn-geometrie zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(', ',@xlink:href)"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M210"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M210"/>
   <xsl:template match="@*|node()" priority="-2" mode="M210">
      <xsl:apply-templates select="*" mode="M210"/>
   </xsl:template>
   <!--PATTERN TPOD1970-->
   <!--RULE -->
   <xsl:template match="//l:Punt/l:geometrie/l:GeometrieRef"
                 priority="1000"
                 mode="M212">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Punt/l:geometrie/l:GeometrieRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and foo:testGeometrie_1970(.)) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and foo:testGeometrie_1970(.)) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1970'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een gmlObject vanuit een Punt moet een punt-geometrie zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(', ',@xlink:href)"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M212"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M212"/>
   <xsl:template match="@*|node()" priority="-2" mode="M212">
      <xsl:apply-templates select="*" mode="M212"/>
   </xsl:template>
   <!--PATTERN TPOD1980-->
   <!--RULE -->
   <xsl:template match="//l:Gebied/l:geometrie/l:GeometrieRef"
                 priority="1000"
                 mode="M214">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//l:Gebied/l:geometrie/l:GeometrieRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and foo:calculateConditionTPOD_1980(string(@xlink:href)) = 1) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and foo:calculateConditionTPOD_1980(string(@xlink:href)) = 1) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1980'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere verwijzing naar een gmlObject vanuit een Gebied moet een gebied-geometrie zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(', ',@xlink:href)"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M214"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M214"/>
   <xsl:template match="@*|node()" priority="-2" mode="M214">
      <xsl:apply-templates select="*" mode="M214"/>
   </xsl:template>
   <!--PATTERN TPOD1990a-->
   <!--RULE -->
   <xsl:template match="//basisgeo:Geometrie" priority="1000" mode="M216">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//basisgeo:Geometrie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeGeometrieTPOD_1990(foo:getLocationGeoReferenceIdentifiersTPOD_1990(), .)) = 0) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeGeometrieTPOD_1990(foo:getLocationGeoReferenceIdentifiersTPOD_1990(), .)) = 0) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1990'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(basisgeo:id/text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere Geometrie heeft minstens een OwObject dat ernaar verwijst.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(basisgeo:id/text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M216"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M216"/>
   <xsl:template match="@*|node()" priority="-2" mode="M216">
      <xsl:apply-templates select="*" mode="M216"/>
   </xsl:template>
   <!--PATTERN TPOD1990b-->
   <!--RULE -->
   <xsl:template match="//r:Regeltekst/r:identificatie" priority="1000" mode="M217">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//r:Regeltekst/r:identificatie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .)) = 0) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .)) = 0) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1990'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .))-2))"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere Regeltekst heeft minstens een OwObject dat ernaar verwijst.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//r:RegeltekstRef), .))-2))"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M217"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M217"/>
   <xsl:template match="@*|node()" priority="-2" mode="M217">
      <xsl:apply-templates select="*" mode="M217"/>
   </xsl:template>
   <!--PATTERN TPOD1990c-->
   <!--RULE -->
   <xsl:template match="//(vt:Divisie|vt:Hoofdlijn)/vt:identificatie"
                 priority="1000"
                 mode="M218">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//(vt:Divisie|vt:Hoofdlijn)/vt:identificatie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .)) = 0) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .)) = 0) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1990'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .))-2))"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere Divisie of Hoofdlijn heeft minstens een OwObject dat ernaar verwijst.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//(vt:DivisieRef|vt:HoofdlijnRef)), .))-2))"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M218"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M218"/>
   <xsl:template match="@*|node()" priority="-2" mode="M218">
      <xsl:apply-templates select="*" mode="M218"/>
   </xsl:template>
   <!--PATTERN TPOD1990d-->
   <!--RULE -->
   <xsl:template match="//rol:Activiteit/rol:identificatie"
                 priority="1000"
                 mode="M219">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//rol:Activiteit/rol:identificatie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .)) = 0) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .)) = 0) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1990'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .))-2))"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere Activiteit-aanduiding heeft minstens een OwObject dat ernaar verwijst.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(substring(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .),1,string-length(foo:nietGerefereerdeReferentiesTPOD_1990(foo:getReferencesTPOD_1990($xmlDocuments//rol:ActiviteitRef), .))-2))"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M219"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M219"/>
   <xsl:template match="@*|node()" priority="-2" mode="M219">
      <xsl:apply-templates select="*" mode="M219"/>
   </xsl:template>
   <!--PATTERN TPOD1990e-->
   <!--RULE -->
   <xsl:template match="//l:identificatie" priority="1000" mode="M220">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//l:identificatie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur_OZON and string-length(foo:getLocationReferenceIdentifiersTPOD_1990(text())) &gt; 0) or not($Regelstructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur_OZON and string-length(foo:getLocationReferenceIdentifiersTPOD_1990(text())) &gt; 0) or not($Regelstructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD1990'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere Locatie-aanduiding heeft minstens een OwObject dat ernaar verwijst.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M220"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M220"/>
   <xsl:template match="@*|node()" priority="-2" mode="M220">
      <xsl:apply-templates select="*" mode="M220"/>
   </xsl:template>
   <!--PATTERN TPOD2000-->
   <!--RULE -->
   <xsl:template match="//r:Regeltekst" priority="1000" mode="M226">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:Regeltekst"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur and string-length(foo:checkWIdTPOD_2000(@wId)) &gt; 0) or not($Regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur and string-length(foo:checkWIdTPOD_2000(@wId)) &gt; 0) or not($Regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2000'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het wId van de Regeltekst in OW moet verwijzen naar een bestaande wId van een Artikel of Lid in OP.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M226"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M226"/>
   <xsl:template match="@*|node()" priority="-2" mode="M226">
      <xsl:apply-templates select="*" mode="M226"/>
   </xsl:template>
   <!--PATTERN TPOD2040-->
   <!--RULE -->
   <xsl:template match="//vt:Divisie" priority="1000" mode="M228">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//vt:Divisie"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($Vrijetekststructuur_OZON and string-length(foo:checkWIdTPOD_2040(@wId)) &gt; 0) or not($Vrijetekststructuur_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Vrijetekststructuur_OZON and string-length(foo:checkWIdTPOD_2040(@wId)) &gt; 0) or not($Vrijetekststructuur_OZON)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2040'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het wId van de Divisie in OW moet verwijzen naar een bestaande wId van een Divisie in OP.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M228"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M228"/>
   <xsl:template match="@*|node()" priority="-2" mode="M228">
      <xsl:apply-templates select="*" mode="M228"/>
   </xsl:template>
   <!--PATTERN TPOD2050-->
   <!--RULE -->
   <xsl:template match="//aanlevering:AanleveringBesluit"
                 priority="1000"
                 mode="M230">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//aanlevering:AanleveringBesluit"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OP-implementatie-niet-Rijk and string-length(foo:existsTPOD_2050()) = 0) or not($OP-implementatie-niet-Rijk)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OP-implementatie-niet-Rijk and string-length(foo:existsTPOD_2050()) = 0) or not($OP-implementatie-niet-Rijk)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2050'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'resultaat'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(foo:existsTPOD_2050())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Controleren of het manifest-ow en het manifest bestaan, en de bestanden benoemd in de manifest-bestanden aanwezig zijn.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'resultaat'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(foo:existsTPOD_2050())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M230"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M230"/>
   <xsl:template match="@*|node()" priority="-2" mode="M230">
      <xsl:apply-templates select="*" mode="M230"/>
   </xsl:template>
   <!--PATTERN TPOD2060-->
   <!--RULE -->
   <xsl:template match="//tekst:Artikel" priority="1000" mode="M233">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//tekst:Artikel"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur and string-length(foo:checkFouteArtikelLidCombinatieTPOD_2060(.)) = 0) or not($Regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur and string-length(foo:checkFouteArtikelLidCombinatieTPOD_2060(.)) = 0) or not($Regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2060'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Als er een Regeltekst van een Lid is gemaakt mag er geen Regeltekst meer gemaakt worden van het Artikel dat boven dit Lid hangt.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'wId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(@wId)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="concat(': ',foo:checkFouteArtikelLidCombinatieTPOD_2060(.))"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M233"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M233"/>
   <xsl:template match="@*|node()" priority="-2" mode="M233">
      <xsl:apply-templates select="*" mode="M233"/>
   </xsl:template>
   <!--PATTERN TPOD2080-->
   <!--RULE -->
   <xsl:template match="//r:Instructieregel" priority="1000" mode="M235">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//r:Instructieregel"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur and (r:instructieregelTaakuitoefening or r:instructieregelInstrument) and not(r:instructieregelTaakuitoefening and r:instructieregelInstrument) and not(not(r:instructieregelTaakuitoefening) and not(r:instructieregelInstrument))) or not($Regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur and (r:instructieregelTaakuitoefening or r:instructieregelInstrument) and not(r:instructieregelTaakuitoefening and r:instructieregelInstrument) and not(not(r:instructieregelTaakuitoefening) and not(r:instructieregelInstrument))) or not($Regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2080'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Binnen een instructieregel dient er gekozen te worden tussen InstructieregelInstrument of InstructieregelTaakuitoefening (één van de twee moet voorkomen).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(r:artikelOfLid/r:RegeltekstRef/@xlink:href)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M235"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M235"/>
   <xsl:template match="@*|node()" priority="-2" mode="M235">
      <xsl:apply-templates select="*" mode="M235"/>
   </xsl:template>
   <!--PATTERN TPOD2090-->
   <!--RULE -->
   <xsl:template match="//rol:Omgevingsnorm" priority="1000" mode="M236">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//rol:Omgevingsnorm"/>
      <!--ASSERT warning-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and              count(rol:normwaarde/rol:Normwaarde/rol:kwalitatieveWaarde)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst))              or count(rol:normwaarde/rol:Normwaarde/rol:kwantitatieveWaarde)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst))              or count(rol:normwaarde/rol:Normwaarde/rol:waardeInRegeltekst)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst))) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and count(rol:normwaarde/rol:Normwaarde/rol:kwalitatieveWaarde)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst)) or count(rol:normwaarde/rol:Normwaarde/rol:kwantitatieveWaarde)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst)) or count(rol:normwaarde/rol:Normwaarde/rol:waardeInRegeltekst)=count(rol:normwaarde/rol:Normwaarde/(rol:kwalitatieveWaarde|rol:kwantitatieveWaarde|rol:waardeInRegeltekst))) or not($OW-generiek)">
               <xsl:attribute name="role">warning</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2090'"/>
                  <xsl:text/>", 
                "ernst": "Waarschuwing", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Alle normwaarden van een norm moeten hetzelfde type zijn (kwalitatief, kwantitatief, of waardeInRegeltekst).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M236"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M236"/>
   <xsl:template match="@*|node()" priority="-2" mode="M236">
      <xsl:apply-templates select="*" mode="M236"/>
   </xsl:template>
   <!--PATTERN TPOD2100-->
   <!--RULE -->
   <xsl:template match="//rol:Omgevingsnorm/rol:eenheid" priority="1000" mode="M237">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//rol:Omgevingsnorm/rol:eenheid"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Regelstructuur and ../rol:normwaarde/rol:Normwaarde/rol:kwantitatieveWaarde[1]) or not($Regelstructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Regelstructuur and ../rol:normwaarde/rol:Normwaarde/rol:kwantitatieveWaarde[1]) or not($Regelstructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2100'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Eenheid mag alleen voorkomen bij een Norm met de normwaarden van het type kwantitatief.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M237"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M237"/>
   <xsl:template match="@*|node()" priority="-2" mode="M237">
      <xsl:apply-templates select="*" mode="M237"/>
   </xsl:template>
   <!--PATTERN TPOD2110-->
   <!--RULE -->
   <xsl:template match="//vt:Tekstdeel" priority="1000" mode="M238">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//vt:Tekstdeel"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($Vrijetekststructuur and (vt:idealisatie and vt:locatieaanduiding) or (not(vt:idealisatie) and not(vt:locatieaanduiding))) or not($Vrijetekststructuur)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($Vrijetekststructuur and (vt:idealisatie and vt:locatieaanduiding) or (not(vt:idealisatie) and not(vt:locatieaanduiding))) or not($Vrijetekststructuur)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2110'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(vt:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Idealisatie (bij Tekstdeel) is verplicht als Tekstdeel een locatie heeft.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(vt:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M238"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M238"/>
   <xsl:template match="@*|node()" priority="-2" mode="M238">
      <xsl:apply-templates select="*" mode="M238"/>
   </xsl:template>
   <!--PATTERN TPOD2120-->
   <!--RULE -->
   <xsl:template match="//*:identificatie" priority="1000" mode="M239">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//*:identificatie"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:vindDubbeleTPOD_2120(text())) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:vindDubbeleTPOD_2120(text())) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2120'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Iedere OW-identificatie dient slechts 1 keer voor te komen per aanlevering (c.q. je mag niet binnen dezelfde aanlevering een ID aanmaken, en vervolgens het ID wijzigen).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M239"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M239"/>
   <xsl:template match="@*|node()" priority="-2" mode="M239">
      <xsl:apply-templates select="*" mode="M239"/>
   </xsl:template>
   <!--PATTERN TPOD2130-->
   <!--RULE -->
   <xsl:template match="//l:GeometrieRef" priority="1000" mode="M241">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//l:GeometrieRef"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:vindDubbeleTPOD_2130(string(@xlink:href), ../../l:identificatie/text())[1]) = 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:vindDubbeleTPOD_2130(string(@xlink:href), ../../l:identificatie/text())[1]) = 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2130'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie/text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Er zijn meerdere locaties die naar 1 geometrie verwijzen (altijd 1 locatie per geometrie toegestaan).'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../../l:identificatie/text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M241"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M241"/>
   <xsl:template match="@*|node()" priority="-2" mode="M241">
      <xsl:apply-templates select="*" mode="M241"/>
   </xsl:template>
   <!--PATTERN TPOD2140-->
   <!--RULE -->
   <xsl:template match="//ow-manifest:WorkIDRegeling" priority="1000" mode="M243">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ow-manifest:WorkIDRegeling"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:checkWorkIdRegelingTPOD_2140(text())) &gt; 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:checkWorkIdRegelingTPOD_2140(text())) &gt; 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2140'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'workId'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Eet WorkIDRegeling van het manifest in OW moet verwijzen naar een bestaande FRBRWork in een Regelingversie in OP.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'workId'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M243"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M243"/>
   <xsl:template match="@*|node()" priority="-2" mode="M243">
      <xsl:apply-templates select="*" mode="M243"/>
   </xsl:template>
   <!--PATTERN TPOD2150-->
   <!--RULE -->
   <xsl:template match="//ow-manifest:DoelID" priority="1000" mode="M245">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="//ow-manifest:DoelID"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and string-length(foo:checkDoelIdTPOD_2150(text())) &gt; 0) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and string-length(foo:checkDoelIdTPOD_2150(text())) &gt; 0) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2150'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het DoelID van het manifest-ow moet verwijzen naar een bestaand doel dat aanwezig is in de bijbehorende Regeling in OP.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'id'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M245"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M245"/>
   <xsl:template match="@*|node()" priority="-2" mode="M245">
      <xsl:apply-templates select="*" mode="M245"/>
   </xsl:template>
   <!--PATTERN TPOD2160-->
   <!--RULE -->
   <xsl:template match="//ow-manifest:Aanlevering" priority="1000" mode="M247">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ow-manifest:Aanlevering"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and count(ow-manifest:DoelID) = 1) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and count(ow-manifest:DoelID) = 1) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2160'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'DoelID'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ow-manifest:DoelID/text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'In het manifest-ow mag maar voor 1 doel aangeleverd worden.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'DoelID'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ow-manifest:DoelID/text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M247"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M247"/>
   <xsl:template match="@*|node()" priority="-2" mode="M247">
      <xsl:apply-templates select="*" mode="M247"/>
   </xsl:template>
   <!--PATTERN TPOD2170-->
   <!--RULE -->
   <xsl:template match="//(rol:Omgevingswaarde|rol:Omgevingsnorm)/rol:normwaarde"
                 priority="1000"
                 mode="M248">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//(rol:Omgevingswaarde|rol:Omgevingsnorm)/rol:normwaarde"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and count(rol:Normwaarde/rol:waardeInRegeltekst) &lt; 2) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and count(rol:Normwaarde/rol:waardeInRegeltekst) &lt; 2) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2170'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(../rol:identificatie)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Indien de normwaarde van het type \&#34;waardeInRegeltekst\&#34; is, mag er maar één normwaarde voorkomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'identificatie'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(../rol:identificatie)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M248"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M248"/>
   <xsl:template match="@*|node()" priority="-2" mode="M248">
      <xsl:apply-templates select="*" mode="M248"/>
   </xsl:template>
   <!--PATTERN TPOD2180-->
   <!--RULE -->
   <xsl:template match="//aanlevering:AanleveringBesluit"
                 priority="1000"
                 mode="M249">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//aanlevering:AanleveringBesluit"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek_OZON and count($xmlDocuments//rg:Regelingsgebied) = 1) or not($OW-generiek_OZON)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek_OZON and count($xmlDocuments//rg:Regelingsgebied) = 1) or not($OW-generiek_OZON)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2180'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'Betreft'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(Regelingsgebied)"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'Het Regelingsgebied is niet aangetroffen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'Betreft'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(Regelingsgebied)"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="'Deze test is op de aangeleverde dataset uitgevoerd, verwijzingen naar DSO data zijn niet onderzocht.'"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M249"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M249"/>
   <xsl:template match="@*|node()" priority="-2" mode="M249">
      <xsl:apply-templates select="*" mode="M249"/>
   </xsl:template>
   <!--PATTERN TPOD2190-->
   <!--RULE -->
   <xsl:template match="//ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand[ow-manifest:objecttype[1]/text() eq 'Geometrie']"
                 priority="1000"
                 mode="M250">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand[ow-manifest:objecttype[1]/text() eq 'Geometrie']"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and false()) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and false()) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2190'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'naam'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ow-manifest:naam/text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'In het manifest-OW mag het objecttype Geometrie niet voorkomen.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'naam'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ow-manifest:naam/text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M250"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M250"/>
   <xsl:template match="@*|node()" priority="-2" mode="M250">
      <xsl:apply-templates select="*" mode="M250"/>
   </xsl:template>
   <!--PATTERN TPOD2200-->
   <!--RULE -->
   <xsl:template match="//ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand[ends-with(ow-manifest:naam[1]/text(), '.gml')]"
                 priority="1000"
                 mode="M251">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//ow-manifest:Aanleveringen/ow-manifest:Aanlevering/ow-manifest:Bestand[ends-with(ow-manifest:naam[1]/text(), '.gml')]"/>
      <!--ASSERT error-->
      <xsl:choose>
         <xsl:when test="($OW-generiek and false()) or not($OW-generiek)"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="($OW-generiek and false()) or not($OW-generiek)">
               <xsl:attribute name="role">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text> 
                { 
                "code": "<xsl:text/>
                  <xsl:value-of select="'TPOD2200'"/>
                  <xsl:text/>", 
                "ernst": "Blokkerend", 
                "<xsl:text/>
                  <xsl:value-of select="'naam'"/>
                  <xsl:text/>": "<xsl:text/>
                  <xsl:value-of select="string(ow-manifest:naam/text())"/>
                  <xsl:text/>", 
                "bestandsnaam":
                "<xsl:text/>
                  <xsl:value-of select="base-uri(.)"/>
                  <xsl:text/>", 
                "regel": "<xsl:text/>
                  <xsl:value-of select="'In het manifest-OW mag een bestandsnaam niet eindigen op \&#34;.gml\&#34;.'"/>
                  <xsl:text/>",
                "melding": "Dit is niet het geval bij <xsl:text/>
                  <xsl:value-of select="'naam'"/>
                  <xsl:text/>: <xsl:text/>
                  <xsl:value-of select="string(ow-manifest:naam/text())"/>
                  <xsl:text/>
                  <xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>",
                "waarschuwing":  "<xsl:text/>
                  <xsl:value-of select="''"/>
                  <xsl:text/>"           
                }, 
            </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M251"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M251"/>
   <xsl:template match="@*|node()" priority="-2" mode="M251">
      <xsl:apply-templates select="*" mode="M251"/>
   </xsl:template>
</xsl:stylesheet>
